# Generated by Makefile. Do not edit.

commit 5806decae091e0586b20ae04ca6e88930d91f952
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Dec 27 14:07:55 2018 +0100

    update NEWS

commit 12258a1f54b42c12574239cc63258740a8066add
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Dec 27 09:41:14 2018 +0100

    shorten the code a bit

commit 625219f12ee76b556a74526e784f6ef12492030f
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Dec 27 08:59:47 2018 +0100

    cid#328430 pass object by const ref

commit 6a6106ddabb98574d63fa6fed558661732499a5a
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Dec 27 09:03:33 2018 +0100

    make accessors const

commit c5d97a2fbf097a3be61056d3a09f7cfc022a64a9
Author: David Tardon <dtardon@redhat.com>
Date:   Wed Dec 26 20:09:20 2018 +0100

    fix condition

commit 2cc9388b03a06fff83f4c391458b82597ecd7ae6
Author: David Tardon <dtardon@redhat.com>
Date:   Sun Dec 23 19:42:42 2018 +0100

    oauth2-providers: drop intermediate var

commit 1ea8fe42d96b776eb3b0c078c015836431088f1a
Author: David Tardon <dtardon@redhat.com>
Date:   Sun Dec 23 19:36:02 2018 +0100

    oauth2-providers: fix leak

commit 18336092478a448042ecb081425ad18db372efec
Author: David Tardon <dtardon@redhat.com>
Date:   Sun Dec 23 19:32:48 2018 +0100

    http-session: use unique_ptr to manage memory

commit c841e8141ae746a6664be10fbaf3e53157ed95ed
Author: David Tardon <dtardon@redhat.com>
Date:   Sun Dec 23 19:29:04 2018 +0100

    session-factory: match comment to reality

commit 5fede0b4fe909672ce476e5457b94a29f2e28442
Author: David Tardon <dtardon@redhat.com>
Date:   Sun Dec 23 19:09:48 2018 +0100

    mockup-config: fix another hidden leak in tests

commit ea98c33fa4e5964504e6d5585a6aee9998031c07
Author: David Tardon <dtardon@redhat.com>
Date:   Sun Dec 23 19:02:10 2018 +0100

    curl-mockup: fix long-standing leak in tests

commit f7d71e6140c95d923b9bde26b0c231256bb32ebd
Author: David Tardon <dtardon@redhat.com>
Date:   Sun Dec 23 15:56:08 2018 +0100

    replace BOOST_FOREACH by foreach loop

commit a46609ebd4187c52acf890457758e090e1397759
Author: David Tardon <dtardon@redhat.com>
Date:   Sun Dec 23 15:50:13 2018 +0100

    replace boost::scoped_ptr by std::unique_ptr

commit cd54cc49b50ac2a4d848679926c29737f8cd0e39
Author: David Tardon <dtardon@redhat.com>
Date:   Sun Dec 23 15:44:04 2018 +0100

    reformat man page using more force

commit 4d49839863ca2b6faf9f5c07947abdd3fb0e76dd
Author: David Tardon <dtardon@redhat.com>
Date:   Sun Dec 23 14:32:13 2018 +0100

    reformat man page

commit 59a30cc98e4e82127e55abdf736cecf129754f7f
Author: David Tardon <dtardon@redhat.com>
Date:   Sun Dec 23 14:17:26 2018 +0100

    fill in package version in man page automatically

commit acb8ceb889049e222c6b3dfb199359101e8dc1d4
Author: David Tardon <dtardon@redhat.com>
Date:   Sun Dec 23 14:08:36 2018 +0100

    update man page revision date

commit ddfff64c6e5ad90d99a1221afc8cd00474bc1fea
Author: David Tardon <dtardon@redhat.com>
Date:   Sun Dec 23 13:59:45 2018 +0100

    add bug reporting section to man page

commit 822136a285be00d294fba67b2ff55c0039b38674
Author: David Tardon <dtardon@redhat.com>
Date:   Sun Dec 23 11:33:30 2018 +0100

    nitpick

commit 960bbe5b3b0859ed5a283ea993497f42e58b90ae
Author: David Tardon <dtardon@redhat.com>
Date:   Sun Dec 23 11:29:17 2018 +0100

    use of libcurl is impl. detail

commit ff4279895fdd7f8c33e2ba060e2a321a86e2bb38
Author: David Tardon <dtardon@redhat.com>
Date:   Sun Dec 23 11:26:26 2018 +0100

    fix copypasta

commit 387b257fceb7c174062e41d5da5b53beeb1d0086
Author: David Tardon <dtardon@redhat.com>
Date:   Sun Dec 23 09:43:07 2018 +0100

    move common test files to a helper library

commit ad642fa5e3f1b654c09ecf1390847bfb7a5c86db
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 22 19:28:19 2018 +0100

    fix comment in C header

commit 2f9ae51084aace4e83ab1b03ba23e7321b2dfb33
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 22 19:00:02 2018 +0100

    be more consistent with naming conditionals

commit 5a011586bfe341644627013c4ecfc0b3eb219e93
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 22 18:58:58 2018 +0100

    use automake support for man pages

commit 6d7254345deff48bdaf0a7332f44a3643217d7f6
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 22 18:43:33 2018 +0100

    drop obsolete file from tarball

commit e603c212e54ec512654531ecaea2c45e8e3ce214
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 22 18:42:40 2018 +0100

    only ignore autogenerated files in m4

commit c75772cea1bc15218952f7e2ed284303b810e838
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 22 16:45:55 2018 +0100

    only export public API symbols

commit 048a618d39dd636e43d05093645b1dfe72eb7e15
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 22 15:25:41 2018 +0100

    make the intent more clear

commit 378f55bfa15f747744bee8e6e9a99ec62cfea4a9
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 22 15:19:21 2018 +0100

    make the intent more clear

commit 6e3d80dfc18d27b92c6a1d544ea4768edddcaf8a
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 22 15:18:44 2018 +0100

    apply the standard ordering of headers

commit 2a2e2003e40c7dbc8f72ea3425a73981883b8bff
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 22 15:16:05 2018 +0100

    make the intent more clear
    
    ... and get rid of a few cppcheck issues at the same time, yay!

commit 60227ebb290078c23db566f7073aa2a6aa44dac4
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 22 15:01:07 2018 +0100

    do not reinvent the wheel

commit d014770d87aff5a32f2ac6ee8ab0fd45addc2241
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 22 14:53:42 2018 +0100

    use unique_ptr

commit 90ec40f57fe441be9fdbf31b0a43029203e2e0c2
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 22 13:44:06 2018 +0100

    simplify a bit

commit 9528cf7f065756918a630bc68cc71e0802310360
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 22 11:31:13 2018 +0100

    move cppcheck to a separate target

commit cb8c4ccd7f3c999b28ed0947d7c687fbc592f705
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 22 10:30:47 2018 +0100

    save some vertical space

commit d67bb0408990c991d9c66ff46035a5a4e2367327
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 22 10:29:05 2018 +0100

    fold checks for docbook2man variants into one

commit eab4a91a4958af61a49bd6906755a3fd20ae60c7
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 22 10:24:15 2018 +0100

    speed up cppcheck runs

commit 069423c2a96ad9f8d1b9a74bc29979cccfe4c838
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 22 10:00:01 2018 +0100

    allow to use cppcheck in out-of-tree build

commit abca33c92696968fef25ae144a60bd54c9651160
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 22 09:38:27 2018 +0100

    cppcheck: disable information messages

commit db76d36a3e48a22247a6cffc7bd58248d7e342cf
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Dec 20 15:26:47 2018 +0100

    ensure headers are self-containing

commit e5209c1af8466836296b598978c5639303fecd0b
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Dec 20 14:07:15 2018 +0100

    include API headers with full path

commit 93bb274e604aed40703edd919bfe35d1fc6779f8
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Dec 20 13:14:59 2018 +0100

    include API headers with full path

commit 5bb75200a5621c4c3971865dd07694861517602b
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Dec 20 13:18:06 2018 +0100

    do not override compiler opt. flags

commit aea7bc285f5b3bee1e4045d3136a5659d3820941
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Dec 20 13:00:01 2018 +0100

    generate versioned .pc files from configure

commit 8bf9009b50b7044e9415ab22e82935563d9c1f1f
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Dec 20 12:57:36 2018 +0100

    sort various file lists lexicographically

commit c5cbc8450ed3071928510201e5220a86bf3f3630
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Dec 20 12:53:42 2018 +0100

    use tabs for indentation

commit 775b544672c932ae5237e054f940dd15e50635d1
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Dec 20 12:51:37 2018 +0100

    move conditional up

commit 57e1ebc6260f78d1b3135bc212b42704065d486c
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Dec 20 12:41:24 2018 +0100

    move API headers into a separate dir

commit 18f849afe72a6f5b5f1bde4bce945623eae9c5db
Author: stbergmann <sbergman@redhat.com>
Date:   Fri Dec 21 13:24:17 2018 +0100

    Properly encode OAuth2 credentials (#25)
    
    * Properly encode OAuth2 credentials
    
    Originally created as <https://gerrit.libreoffice.org/#/c/59986/> "Properly
    encode OAuth2 credentials".  I was not sure which C++ version to target, so kept
    it pretty basic.

commit eaee7f60ed7db9e155d8e0e3968a9b7a4b32395d
Author: David Tardon <dtardon@redhat.com>
Date:   Wed Dec 19 14:30:31 2018 +0100

    WaE (C++14): also define sized delete

commit 51da3c3b26b24a60ba6e85b58da4aee0d2d0075f
Merge: 732a676 4f52f83
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 1 11:47:18 2018 +0100

    Merge pull request #21 from schnitzeltony/master
    
    Fix build with boost >= 1.68.0

commit 732a676958b8fabace231c068bc824e067730c29
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 1 11:32:55 2018 +0100

    simplify this

commit 463adde9e13350e9ec3f8ef24a93d0d2f8a9701e
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 1 11:19:37 2018 +0100

    nothing to see here, move along

commit 1d924db953d2d3bd87f46b671969ce804d9a1eba
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 1 11:11:00 2018 +0100

    WaE: catch exception by ref

commit 172e83762b2b4b300073212ffd841dc90680bb86
Merge: 738528d 4ddfdb3
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 1 11:24:14 2018 +0100

    Merge pull request #16 from vmiklos/dynexcspec
    
    Remove dynamic exception specifications

commit 4f52f83881cd824821160841d5c8bd8a0bd82729
Author: Andreas Müller <schnitzeltony@gmail.com>
Date:   Fri Oct 26 22:57:36 2018 +0200

    Fix build with boost >= 1.68.0
    
    Addresses [1]
    
    https://github.com/tdf/libcmis/issues/19
    
    Signed-off-by: Andreas Müller <schnitzeltony@gmail.com>

commit 4ddfdb3c87d6e0d5598f430a2bb6b001bf55c84d
Author: Miklos Vajna <vmiklos@collabora.co.uk>
Date:   Tue Nov 28 09:16:44 2017 +0100

    Remove dynamic exception specifications
    
    Replace deprecated dynamic exception specifications with the appropriate
    noexcept specification (introduced in C++11). Replace throw() with noexcept,
    and throw(<exception>[,...]) with.

commit 738528d790b2b1d52d9b72d673842969a852815d
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Jan 18 10:48:52 2018 +0100

    return early if the time part is empty

commit ff7ed27039693f91e8348495f3b909c23871123d
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Jan 18 10:42:04 2018 +0100

    do not try to use [] on an empty string

commit 310ff17804b5dd9ddc455592e116a75bb5c2e0e3
Merge: 86a50d6 449f926
Author: David Tardon <dtardon@redhat.com>
Date:   Mon Nov 27 17:32:21 2017 +0100

    Merge pull request #15 from vmiklos/master
    
    Switch to C++11

commit 449f92685f1d9c81a4c7d697f99588e4317c6187
Author: Miklos Vajna <vmiklos@collabora.co.uk>
Date:   Mon Nov 27 08:38:46 2017 +0100

    Switch to C++11
    
    The immediate benefit would be that then dynamic exception
    specifications can be replaced by noexcept and noexcept(false), instead
    of removing them (to be able to build the code with -std=c++17).
    
    The m4 macros are used already in e.g. libepubgen, i.e. they are known
    to work on all platforms covered by LibreOffice Jenkins.
    
    Also, to please Travis:
    
    - fix prototype of the dummy operator new() to match what C++11 provides
    - fix -Werror,-Wvarargs errors
    - silence -Werror,-Wkeyword-macro errors

commit 86a50d6bad2ba44a8107ddb379d2ec6b84537a48
Author: David Tardon <dtardon@redhat.com>
Date:   Tue May 16 11:58:12 2017 +0200

    fix build error with gcc -std=c++98
    
    atom-object.cxx: In member function ‘bool {anonymous}::MatchLink::operator()(AtomLink)’:
    atom-object.cxx:63:91: error: no matching function for call to ‘remove_if(std::__cxx11::basic_string<char>::iterator, std::__cxx11::basic_string<char>::iterator, <unresolved overloaded function type>)’
              linkType.erase( remove_if( linkType.begin(), linkType.end(), std::isspace ), linkType.end() );

commit ca381ff4586c9fc1190d285137ba8f67b102d600
Author: David Tardon <dtardon@redhat.com>
Date:   Tue May 16 11:52:43 2017 +0200

    do not reinvent the wheel

commit 8b401fdea3f621101876f31f21aa98ffd60f5e91
Author: David Tardon <dtardon@redhat.com>
Date:   Tue May 16 10:02:19 2017 +0200

    drop :: prefix

commit e50aa2612799d308fb748cd01a2cc88c4f47330f
Merge: 8cc9668 1effce6
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Mar 30 13:44:26 2017 +0200

    Merge pull request #14 from eszkadev/google-2fa-fix-2
    
    Fix 2FA for Google Drive

commit 1effce6d286ba3a9f467e15074b532d2ba4b7c98
Author: Szymon Kłos <eszkadev@gmail.com>
Date:   Wed Mar 29 17:45:10 2017 +0200

    Fix 2FA for Google Drive

commit 8cc9668e21ef67ca26b9282fa117cd32fc5734c3
Author: David Tardon <dtardon@redhat.com>
Date:   Mon Feb 27 19:35:47 2017 +0100

    IMHO 100 redirections is overkill

commit c87fb4fa79071d249eb7f0c611f2d7176486d99a
Author: David Tardon <dtardon@redhat.com>
Date:   Mon Feb 27 19:34:11 2017 +0100

    limit the number of redirections for PUT too

commit 3637a6bbf0a3daf8c11d4290ea47523e3ebeb496
Author: David Tardon <dtardon@redhat.com>
Date:   Mon Feb 27 19:33:45 2017 +0100

    rhbz#1410197 limit the number of redirections

commit 6d5d00b3e7ca36e53c9072f9af111f6739c3449a
Author: Thorsten Behrens <Thorsten.Behrens@CIB.de>
Date:   Tue Dec 13 17:36:37 2016 +0100

    -wError C4101: 'e' : unreferenced local variable

commit 5bea25bfc77b3a0c9fea0289f5280740401324b1
Author: Thorsten Behrens <Thorsten.Behrens@CIB.de>
Date:   Sun Dec 11 03:23:11 2016 +0100

    Catch empty / incomplete datetime strings early
    
    Otherwise code accesses past-the-end positions

commit 119395c63f1d4a4a09d4e9333c4d69e2a28d87a3
Author: Thorsten Behrens <Thorsten.Behrens@CIB.de>
Date:   Sun Dec 11 03:21:28 2016 +0100

    Test corner-cases for parseDateTime
    
    Build with CXXFLAGS=-D_GLIBCXX_DEBUG to make this fail

commit 913408997351ff4099697ad3b731d2b0a56af558
Author: Thorsten Behrens <thb@documentfoundation.org>
Date:   Sun Dec 11 02:44:51 2016 +0100

    Update AUTHORS

commit da8c3fdc281a0cb3753a6bb9eaa63ac6385e2963
Author: Mike Kaganski <mike.kaganski@collabora.com>
Date:   Wed Aug 10 09:39:57 2016 +0200

    tdf#101385: don't try to get SharePoint folder outside of allowed range

commit 9ffb376c21f7f55fb9237d83f7ea322517f691e2
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Jun 16 15:03:37 2016 +0200

    update boost.m4 to fix version detection with gcc 6.1

commit d2054a12e3f52fff8e96341e8c48f0dcd75e2e2a
Merge: 7c2eae3 9916eda
Author: David Tardon <dtardon@redhat.com>
Date:   Fri Jun 3 07:36:02 2016 +0200

    Merge pull request #9 from eszkadev/google-2fa-fix
    
    Google 2fa fix

commit 9916eda65d22e2a65f3ad0d85376aa73420567dd
Author: Szymon Kłos <eszkadev@gmail.com>
Date:   Tue May 31 19:13:45 2016 +0200

    macros with string literals and length

commit fe77ebada2e6e11ce78a2a841630a94eeab53eef
Author: Szymon Kłos <eszkadev@gmail.com>
Date:   Tue May 31 09:56:14 2016 +0200

    removed unnecessary conditions

commit fc4c3a326f5dc98e62353572423a0da750975b57
Author: Szymon Kłos <eszkadev@gmail.com>
Date:   Mon May 23 15:26:01 2016 +0200

    google 2FA fix, new challenge page

commit 22dce0a530b7f669d406c048e9d35b894a151c21
Author: Szymon Kłos <eszkadev@gmail.com>
Date:   Mon May 23 15:18:39 2016 +0200

    gdrive: test, new challenge page

commit 7c2eae350f2bf8bfb4c42f53a4b4c06148e9b226
Author: David Tardon <dtardon@redhat.com>
Date:   Mon May 16 09:21:52 2016 +0200

    and -> &&

commit bab8b288aa5a56ce0394ba305606d1cdf539a2ac
Merge: d34c541 0b952f4
Author: David Tardon <dtardon@redhat.com>
Date:   Mon May 16 09:21:20 2016 +0200

    Merge pull request #8 from eszkadev/google_2fa
    
    Google 2fa

commit 0b952f449bd3cca422dfdfbfc8220f25b86f09c7
Author: Szymon Kłos <eszkadev@gmail.com>
Date:   Sun May 15 13:40:20 2016 +0200

    gdrive 2FA test

commit 81ef503e10221e880c6783b9db588c8654827e7b
Author: Szymon Kłos <eszkadev@gmail.com>
Date:   Sun May 15 00:14:08 2016 +0200

    google 2FA implementation

commit d34c54133a9e7f88ee4498ef40c05792110843db
Author: David Tardon <dtardon@redhat.com>
Date:   Tue May 10 14:41:55 2016 +0200

    add gdrive fix to NEWS

commit ed2d24efdcfe5ab683433ab0388832fec51e4023
Author: David Tardon <dtardon@redhat.com>
Date:   Tue May 10 14:36:04 2016 +0200

    bump revision for the next release

commit e582d018b6a80fc55e46263e9cf0036c59f26841
Author: David Tardon <dtardon@redhat.com>
Date:   Tue May 10 14:33:02 2016 +0200

    produce xz-compressed tarballs

commit ad89848c93d9357992f6d7d9a5b1e602f25e930c
Author: Tomas Chvatal <tchvatal@suse.cz>
Date:   Tue May 10 14:32:33 2016 +0200

    libcmis is not a GNU-conformant project

commit 4dbed0d44b7785ea1d738e4b278b39c8cf27b9f8
Merge: 4f9ba97 3ebc3d9
Author: David Tardon <dtardon@redhat.com>
Date:   Wed May 4 09:16:46 2016 +0200

    Merge pull request #6 from beppec56/fix-gdrive-login
    
    Fix gdrive login

commit 3ebc3d9fe6a9806de2bcdf79ac6398f0c14c3246
Author: Giuseppe Castagno <giuseppe.castagno@acca-esse.eu>
Date:   Tue May 3 15:41:52 2016 +0200

    Fix test in test-onedrive

commit 73662089059eb2e272a4c5eb245a497af044ccf6
Author: Giuseppe Castagno <giuseppe.castagno@acca-esse.eu>
Date:   Tue May 3 15:35:57 2016 +0200

    Fix test in test-gdrive

commit 04297298ad9659c949beb7ccd0f75cfd440a4fb8
Author: Giuseppe Castagno <giuseppe.castagno@acca-esse.eu>
Date:   Tue May 3 11:47:43 2016 +0200

    Fix test in test-factory

commit 0490c023cd14cbb3d1ba2bc1b648b216f848a648
Author: Giuseppe Castagno <giuseppe.castagno@acca-esse.eu>
Date:   Tue May 3 08:35:57 2016 +0200

    Add new mokup login pages

commit 32aecffb5517dfc3b3674a8f7db418456bd877ed
Author: Giuseppe Castagno <giuseppe.castagno@acca-esse.eu>
Date:   Sat Apr 30 14:29:56 2016 +0200

    Add new Google Drive OAuth 2.0 login procedure.
    
    The new Google login sequence uses two html pages: first page for user email
    the second page for password.
    
    The older sequence used only one page for both user email and user password.

commit 4f9ba9754b91b68ab5be38b59ab1bd3c5b22e8a2
Author: David Tardon <dtardon@redhat.com>
Date:   Fri Mar 4 09:59:22 2016 +0100

    prepare for a release

commit ce8711795f5bb173e642386e8d03bbcd62550d08
Author: David Tardon <dtardon@redhat.com>
Date:   Wed Mar 2 17:51:19 2016 +0100

    add compile to .gitignore

commit 626ab4ee25f846b6559ae3c5591eb1414f2ee1d9
Author: David Tardon <dtardon@redhat.com>
Date:   Wed Mar 2 08:27:05 2016 +0100

    fix mismatched free/delete[]

commit 31d94900de5be5a31d35939c6b39f2b51e29f687
Author: David Tardon <dtardon@redhat.com>
Date:   Wed Mar 2 07:59:55 2016 +0100

    ensure doc is not leaked

commit c50fab73477536cb2f0853d7ff48742695f5915f
Author: David Tardon <dtardon@redhat.com>
Date:   Wed Mar 2 07:52:10 2016 +0100

    coverity: honor exception specs

commit 5bb9255ee6b7033d9ea03702dfeda9c99bd79e0f
Author: David Tardon <dtardon@redhat.com>
Date:   Wed Mar 2 07:48:09 2016 +0100

    coverity: honor exception specs

commit 2e4fd7e285a530a4fbe188db28b4d2f33b40aa21
Author: David Tardon <dtardon@redhat.com>
Date:   Wed Mar 2 07:39:34 2016 +0100

    reset the "in OAuth2" flag on exception

commit 9fb89379216159ee007edcf3a41deb4721fbfe15
Author: David Tardon <dtardon@redhat.com>
Date:   Wed Mar 2 07:35:05 2016 +0100

    coverity: honor exception specs

commit 27516e32955c7e0196df3c087174bae7156b4609
Author: David Tardon <dtardon@redhat.com>
Date:   Wed Mar 2 07:24:10 2016 +0100

    coverity: honor exception specs

commit e116720f71bfc94d963442218655ac727195fc1d
Author: David Tardon <dtardon@redhat.com>
Date:   Wed Mar 2 07:23:27 2016 +0100

    coverity: likely intent

commit faee72686eba4c55ae40cc704083239013f4708f
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 20:21:32 2016 +0100

    coverity: avoid possible null ptr deref

commit eca67a5e400b9c7d2267a6279b72fce2ece0c2ab
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 20:20:00 2016 +0100

    coverity: avoid possible null ptr deref
    
    This way dynamic_cast will throw an exception if the dynamic type does
    not match.

commit fedfb6247925ad8b1206d96c2181f7e6aaffa45d
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 14:49:18 2016 +0100

    avoid memory leak

commit d1541095b8c79adeac498641b0a39f9424782f16
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 14:17:07 2016 +0100

    avoid memory leak

commit ad16167fd4af205a62876cb9fc279e611ce5bccf
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 14:15:38 2016 +0100

    avoid memory leak

commit 860c609580f8f3085ec5f6bec58eacb17660f5d1
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 12:31:51 2016 +0100

    do not leak in case of exception

commit ac4dbb38eeb1f7f4f2f6aa5593bb572368411b58
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 12:27:38 2016 +0100

    ensure we can use the buffer as a C string

commit df9b26d83eb3a5fe12d62f13114e019d8d6223f8
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 11:54:40 2016 +0100

    avoid memory leak

commit 95270e1522732a86166dbe331bc29f192b018a11
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 11:53:52 2016 +0100

    avoid memory leak

commit 15a4c68e52e8c17ad5f13c53245305ed8bfd519c
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 11:51:31 2016 +0100

    avoid memory leak

commit 00b685b75e09347774e5e17da7076e36be39db64
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 11:50:08 2016 +0100

    do not leak in case of exception

commit d3a8264d053aaceb5a357bc0500bdb0a0f7066a8
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 11:48:15 2016 +0100

    do not leak in case of exception

commit c95ad2e3927bddf698b496504188a312fc9b0d47
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 11:44:08 2016 +0100

    avoid memory leak

commit ab520712efb46765714ba896ae3854d69c9bbdc2
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 11:43:49 2016 +0100

    avoid memory leak

commit 93cab114e9bb3ae79a8599991df4770fe7431989
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 11:41:51 2016 +0100

    ensure we can use the buffer as a C string

commit 48bee8309e72ccc5a72a3aad30799b56daeca8d7
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 11:35:01 2016 +0100

    avoid memory leak

commit 5ce62bed0459b77655cf89d1a51e9c28adf1971d
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 11:34:02 2016 +0100

    avoid memory leak

commit 6e285d5fe13c47a2e19b65fa4e009d15d8c0230a
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 11:28:28 2016 +0100

    avoid memory leak

commit 9442be314426028c61fc724675de0156ad5ed857
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 10:43:59 2016 +0100

    avoid memory leak

commit d83db6ad25f8bae35086ba77f5a3132b759fbc60
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 10:34:39 2016 +0100

    avoid memory leak

commit aab95fcffd67c013709fa75d7fa5347d8f4fb45b
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 10:33:42 2016 +0100

    avoid memory leak

commit ee477289a38b2612842d31c715973d5cd07ea1a4
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 10:32:44 2016 +0100

    avoid memory leaks

commit 9dbe05577b737c061edfc545523b107c62080436
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 10:31:38 2016 +0100

    avoid memory leaks

commit 26f13e1cf86b984797a198830396170d65c01ba1
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 10:27:08 2016 +0100

    avoid memory leak

commit 41cd73c31be248186564455b12a16b40c9b04a18
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 10:19:50 2016 +0100

    avoid memory leaks

commit 4ce497fd9e58b04ac7b4f74f3a92979655e599bc
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 10:06:48 2016 +0100

    coverity: avoid possible memory leak

commit 4ced72bff0bda9e7c0f9645cd9b8284f61eb8783
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 20:10:27 2016 +0100

    likely intent

commit 44327bc31d20982c86c40d1755f2a0839bc74d2c
Author: David Tardon <dtardon@redhat.com>
Date:   Tue Mar 1 09:56:53 2016 +0100

    avoid memory leak

commit f484e87ab935c362f6a2a597d51f70f1f0ca5f1e
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Wed Sep 2 16:35:45 2015 +0100

    Remove invalid comments from test JSON file.

commit a687896ddcc7819dd470ff7ddecc2231689345c1
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Tue Sep 1 13:00:18 2015 +0100

    Avoid redundant upcast and dynamic_cast steps.

commit 3c9d7b215904fd3120e5d2fa2f1e36a4aab19fc5
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Tue Sep 1 12:58:31 2015 +0100

    In WSSession assignment release any existing resources.

commit a9866eb68d2262f2d83a251786ea4db4c5710d28
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Mon Aug 31 15:15:45 2015 +0100

    Use scoped_ptr to manage Sessions.

commit cf637eefec87e2098abe9598968665054c633900
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Mon Aug 31 13:21:32 2015 +0100

    Don't create exception on the heap before throwing.

commit 41d66727ed987e8aaa87ea8cf7bcc095d903d007
Author: Thorsten Behrens <thb@documentfoundation.org>
Date:   Mon Aug 17 00:14:20 2015 +0200

    clang: -Werror,-Wunused-function

commit 3d83f957fe829e535123c983c85d3b3d37f30404
Author: Thorsten Behrens <thb@documentfoundation.org>
Date:   Sun Aug 16 23:00:07 2015 +0200

    Add travis CI status to repo page

commit 39e2147316ecdfefa311b1b0ae4f4fd02d85cef3
Author: Thorsten Behrens <thb@documentfoundation.org>
Date:   Sun Aug 16 22:35:21 2015 +0200

    Add .travis.yml for github-style CI

commit 0a06805f6de5c4bfe881efc5f54231c146bc47ab
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Thu Jul 16 16:23:51 2015 +0200

    Fix AtomTest::createFolderBadTypeTest

commit 0ad3ec084d918be503a8ce971af1b54887d7726f
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Thu Jul 16 16:23:06 2015 +0200

    Getting cppcheck-test to pass again

commit b572b60a5fdc630f7f3b31dfd5dbdd1ed48659ca
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Thu Jul 16 16:22:11 2015 +0200

    Fix linking error when building with --with-boot

commit 60506199cf4f6fc13133ac5bc74ecb81fd27db76
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Thu Jul 16 14:19:06 2015 +0200

    README: added list of dependencies

commit 3875cb5201d9af404df225d700da644304a1cb4e
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Thu Jul 16 14:05:31 2015 +0200

    README is a markdown file

commit 1aac48fc57e880ceaad575c4a9ecb5576fa66060
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Thu Jul 16 13:58:08 2015 +0200

    More useful README

commit d87c52e1efc1f3e54e9ebf5994f10371350139eb
Author: Vasily Melenchuk <vasily.melenchuk@cib.de>
Date:   Wed Jul 15 11:54:52 2015 +0200

    do not require password to be not empty to use http authentication credentials

commit 1100f4591dfae351199128fd90689ce07a9b6013
Author: Thorsten Behrens <Thorsten.Behrens@CIB.de>
Date:   Wed Jul 8 14:26:01 2015 +0200

    tdf#90351: response does not always contain cmis:baseTypeId
    
    So if we know which object we just created, don't rely on the server
    response to tell us.

commit 58130d0f774242da1177ae2f77a711e7aaa8ab7d
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Feb 26 14:48:27 2015 +0100

    avoid use-after-delete

commit 645df9a0885931001e0a7afaf56de39cd33f9119
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Feb 12 15:13:28 2015 +0100

    fix boost configuration with gcc 5

commit b5ac83cd9238cac07cd52a1c2e6eb33922772f56
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Thu Dec 11 15:12:05 2014 +0100

    Fix sharepoint object copy test

commit 97e970ba4903e0b31d16b03f2653cfa2c1825d56
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Wed Oct 1 23:15:35 2014 +0200

    Added some more sharepoint simple tests

commit 4037d0102fe9d874be4ca92827ef81ed60e9b5da
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Wed Oct 1 22:23:45 2014 +0200

    Added a copy constructor tests for WS services

commit 2406efcec7f9ff3094d24cf149b9e70be210e5f4
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Wed Sep 24 22:36:05 2014 +0200

    Improved WSObjectType tests
    
    Added test for refresh, getParentType, getBaseType and getChildren

commit 612b398a04f0c99a949d898c3695012fb03b865f
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Mon Sep 22 22:59:10 2014 +0200

    Test coverage improvements for Rendition

commit acd281d7d2885eb99a2e8876dca16eb9d4391b2d
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Mon Sep 22 22:44:18 2014 +0200

    Don't check coverage in Rendition::toString

commit 61abc01bbca374fdf956d0c378ef6abcb16b45fe
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Mon Sep 22 22:42:31 2014 +0200

    Added SoapResponseFactory copy test

commit 43fed0cba7974cc3cf280f553bbeb138c5a9d745
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Mon Sep 22 22:29:38 2014 +0200

    test SOAP parseResponse XML version

commit a8efe85ccfdd1be811df8536633008838f8b99cd
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Mon Sep 22 22:22:14 2014 +0200

    Added getRenditions test for WS binding

commit 2cec221f8be4a8970e4619321a404d52818960c5
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Mon Sep 22 20:38:45 2014 +0200

    Test coverage improvements for ObjectType

commit 60e717e785ee0382565cfb1a4d42658a82e37075
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Fri Sep 19 09:33:51 2014 +0200

    Added some copy constructors tests

commit de006db972efcca57e1b1aa9adc10f6c9937f9b7
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Thu Sep 18 23:13:31 2014 +0200

    Fixed GDriveSession::getObjectByPath and added unit tests for it

commit 5ae325c0cc412c6a92aca26b2c358bcf7a346e5e
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Thu Sep 11 22:47:56 2014 +0200

    Test for GDriveSession::setRepository

commit 0d7d4a143c5f984622f0223019e4b2132db19bde
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Thu Sep 11 22:29:10 2014 +0200

    Added test for GDrive property copy

commit 965cbb604ea366ff6df3808a2aaaa68730c27964
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Thu Sep 11 22:12:00 2014 +0200

    Reworked GDrive properties update test

commit c6617ee827911a65a18147562929512673fe538f
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Thu Sep 11 21:03:07 2014 +0200

    libcmis: improved test coverage

commit db2881921c62919f8fe1e225d7337fb7f9d74903
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Thu Sep 11 21:02:48 2014 +0200

    cppcheck: fixed invalid use of possibly NULL pointer in tests mockup

commit 9a6412665e6f1a180fdc2c5c4ab4bf44f9f1f32c
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Sep 16 16:08:09 2014 +0300

    SharePoint - checkOut is canceled after checking out the document

commit 5d83f017696e68b5e0fc5aad2095f46f678c955e
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Sep 16 15:50:34 2014 +0300

    SharePoint - getParentTest inside getChildrenTest
    
    A document only gets its parentId set when the parent folder is listed and the
    ID is passed to the constructor, because SP doesn't provide a parentId property.
    So all the code from getChildrenTest was needed for the getParentTest and
    that would have been a lot of duplicated code

commit 6bb8dc579d82de667149cd1ae4b3511452d7eea7
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Sep 4 16:48:00 2014 +0200

    coverity: return const string&
    
    Otherwise the use in the C wrapper functions is invalid, as the
    functions return char* from a string object that is destroyed in the
    function scope.

commit 23110ee56717cde1901c66994a37a1951425349d
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Tue Sep 2 16:30:46 2014 +0200

    coverage: marked toString functions as untested

commit 9c72613e39f92d4e6e86615af5dbfcae23df76b5
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Tue Sep 2 16:10:49 2014 +0200

    Tested Document::getPaths()

commit 3e8954b8c3f106a0c4d240358fb4437899345a46
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Tue Sep 2 15:33:38 2014 +0200

    Clean more of the coverage results

commit 4a8eff3cbc058b29edd126c53ff9cd3d907c7cf0
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Tue Sep 2 15:33:05 2014 +0200

    Added unit tests for OneDrive ObjectType

commit ad9e904be4671998a0b0f8c7b771af55bd31e922
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Tue Sep 2 11:35:52 2014 +0200

    Fixed linking with --enable-coverage

commit 6a9874bdfb69590d1af3fab9ffa638eb59e6c08c
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Tue Sep 2 10:51:56 2014 +0200

    Fixed problems reported by cppcheck

commit 46f19b9084bdbae994f6cd5aaf2e61ccd069bd66
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Aug 25 13:34:36 2014 +0300

    Checkin test for the test script

commit eff69a46bf061698d02c539d8c992299eff6e13e
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Aug 25 13:33:20 2014 +0300

    Better arguments parsing for the test script

commit 74c4ee580179efe55fcc0e12ee159169053ece83
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Aug 25 13:30:22 2014 +0300

    Folder and documents might have spaces in their names

commit c2e0eb0409d8dc3b05901069d41825c6d3a3b730
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Thu Aug 14 18:40:10 2014 +0300

    GDrive - an uploadType parameter was needed to upload file contents
    
    I think the api has changed since last year

commit 5d13db64551320636cab1f85354a248f49175354
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Aug 11 18:10:25 2014 +0300

    cmis-test now supports bindings with oauth2

commit 7679b049f58ba3b4b4b3ebfe7a386113cd0920fe
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Aug 11 17:43:21 2014 +0300

    removed empy line

commit 08a0c1c81228339bf82f7b38a055fdd734295508
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Aug 11 15:48:56 2014 +0300

    AuthCode provided as parameter for the cmis-client
    
    Needed for times when automatical authentication fails,
    mainly in the OneDrive connection

commit fce8d48f1fa3a14a512b422de9284a1fbb8d6737
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Aug 6 17:19:04 2014 +0300

    SharePoint - getAllVersions now adds the latest version too

commit 1b2e60deb71dd4142047a6f316ee4f86dd061947
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Aug 6 16:54:54 2014 +0300

    Sharepoint - the file vers. createad date prop is needed as cmis:lastModDate

commit 676f52b81f62c9337b7384bd919fc248d553233b
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Aug 6 15:03:05 2014 +0300

    SharePoint - only documents are versionable

commit d925768d6169c577a0909c2a45fa6645c435d36b
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Aug 6 15:01:49 2014 +0300

    SharePoint parse added some more file version properties

commit a82c448298d4f70386f66f76e325a6f4f47b7743
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Aug 5 19:30:08 2014 +0300

    SharePoint request body really needs to be empty

commit cd96e42be79d6678f7f41922e35aad6cf0081c16
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Aug 5 17:08:58 2014 +0300

    SharePoint properties type is set

commit 7f5e5bd486c4c94ab1d2b149ec3afec8aa51ff30
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Aug 4 19:25:54 2014 +0300

    SharePoint document isVersionSeriesCheckedOut property is set

commit 7ea4fbad74f5dc1fc1c9513f80b49fdfd09de245
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Aug 4 17:03:31 2014 +0300

    SharePoint repository rootId
    
    the rootId needs to be http://host/_api/web/getFolderByServerRelativeUrl('/')
    so we need to know the baseUrl in the Repository's constructor

commit 33a6a01e9148980e80f78319afcc2193a8cb824f
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Aug 4 16:15:44 2014 +0300

    SharePoint getObjectByPath test

commit de0858377d4c829fbf8e64171f7bd115ac1cc218
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Aug 4 16:15:17 2014 +0300

    SharePoint getObjectByPath method

commit e7a7230ce2014dad324d43d7471b593c2963da20
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Fri Aug 1 12:26:07 2014 +0300

    SharePoint getType method

commit ed18770cb02f4a972045399968ca84dd4a1bebe3
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 30 12:27:04 2014 +0300

    SharePoint object type - forgot to remove the description

commit f05bcfaa0422580f7b0d8bceb4bdb1714e775c69
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 30 12:20:47 2014 +0300

    SharePoint object type

commit 0c67fed62395106861898949183388b6e8238511
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 30 12:08:19 2014 +0300

    SharePoint updateProperties method

commit 65ec0b2ab064bad34b1d32234be75ad56d81ad16
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 30 12:04:08 2014 +0300

    SharePoint move test

commit ed126e4b23db0c9e6021defd57cd9f8b08883140
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 30 12:02:59 2014 +0300

    SharePoint move method

commit f7376c8633b9ff2784a026eb8545e146c2d4be93
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 30 10:54:33 2014 +0300

    SharePoint wrong file property name

commit add54dce7a0111426e27be612e72e7cd551611b4
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jul 29 18:20:17 2014 +0300

    SharePoint folder properties response

commit a308ca96a5ae86e9b9628b6ee10164034377e614
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jul 29 18:19:10 2014 +0300

    SharePoint createDocument test

commit 1f98f12e3980fb141db6f38a9b512b8d48067003
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jul 29 18:18:35 2014 +0300

    SharePoint createDocument method

commit 655042a8c23738965ba649f7bf88060a2bc86566
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jul 29 15:49:10 2014 +0300

    SharePoint createFolder test

commit 9b44de224b51535a211a9d5e333f417dda3de187
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jul 29 15:48:33 2014 +0300

    SharePoint createFolder method

commit b85f804f16b30a44861ea88a42b8b9f32d88343f
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jul 28 19:54:55 2014 +0300

    SharePoint - updated the tests for the properties fetching

commit a717f066749badacf34bdff9fdf4dac824cad2a7
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jul 28 19:53:30 2014 +0300

    SharePoint creation/lastModification dates need to be fetched

commit fa7b585eacda3d7afe4db1ddc9fda58cb30ee52e
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jul 28 18:34:48 2014 +0300

    SharePoint getChildren test

commit a98f638e5f5ef8519d6dc519a5ea0db2330d4404
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jul 28 18:34:22 2014 +0300

    SharePoint children JSON responses

commit 7b9ce6fc6612925f81ca9ab6787a94f1bdafc6b0
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jul 28 18:33:40 2014 +0300

    SharePoint getChildren method

commit efca4ffb0264cf0b19339a319351a37c3864be6e
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jul 28 18:30:52 2014 +0300

    Extract data from JSON "d" object
    
    Basic GET requests get the data inside a "d" object,
    but child listing doesn't, so this unifies the representation

commit 32d25750f825ab9100720837f595412ba64ec577
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Sat Jul 26 12:41:41 2014 +0300

    SharePoint getFolder test

commit 466f40c42dc7bf13d397717b6a6b274af972a5bd
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Sat Jul 26 12:41:07 2014 +0300

    SharePoint root folder JSON

commit 1c3cb848efec64e091b72e3a54ce3d8af2263089
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Sat Jul 26 12:39:14 2014 +0300

    SharePoint folder creation is now handled

commit f0fda49cb346efb4ea98fe792ee998897bbd8fd2
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Sat Jul 26 12:38:43 2014 +0300

    SharePoint folder class

commit 4cb2143d202a53d05cb3725265762a70d12bbad5
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Sat Jul 26 12:38:08 2014 +0300

    SharePoint - only add the parentId property if it is defined

commit 1488d45013bb7c792f097e33e8c8f927ef2ab5b3
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Sat Jul 26 12:37:15 2014 +0300

    SharePoint - new properties from the folder JSON response

commit af37e8d4a00176bb0722876f8b839e5940f564c8
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Fri Jul 25 17:30:24 2014 +0300

    SharePoint getAllVersions test

commit d97b3c7ad92d67591bd1caf394b020219bddafe3
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Fri Jul 25 17:29:45 2014 +0300

    SharePoint getAllVersions JSON responses

commit e9f8ea6975255feecf47d42609ff59be8b3191c4
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Fri Jul 25 17:28:20 2014 +0300

    SharePoint getAllVersions method

commit cf3f5f6170bc2f4e4a79273741161670ba021f75
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Fri Jul 25 16:10:24 2014 +0300

    SharePoint properties from file versions

commit 36476de8fe0182068bb91f2e3f544903f86d41a2
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Fri Jul 25 13:05:52 2014 +0300

    SharePoint checkIn test

commit c58dcef747726bb5e6633cc6399e4766b246abf7
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Fri Jul 25 13:05:19 2014 +0300

    SharePoint checkIn method

commit 04c52170d33bdbaea52fd68eaf2daf096f8cf64a
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 23 13:29:20 2014 +0300

    OneDrive album objects can be treated as folders

commit fdc967aa61dd2dfa410a022dcd7b44a494f7dd3d
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 23 12:02:01 2014 +0300

    OneDrive exported properties fix

commit 52b7b792c7a2c3a524f73b64914e07124832e053
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 23 11:57:40 2014 +0300

    OneDrive wrong property id

commit f0a7a062a09a65b51744afa77c3d19a29a792300
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jul 22 20:37:40 2014 +0300

    OneDrive document indentation fix

commit 2effd724ee5631ea9165772e2a215b374c048547
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jul 22 20:26:16 2014 +0300

    OneDrive - no more need for uploadStream

commit 1b4de7655f115490deb94f5b908dcdaac3d0006e
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jul 22 20:25:40 2014 +0300

    OneDrive createDocument test updated

commit a2145adc0d8f7b67b045734169236af8cb46a79f
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jul 22 20:21:48 2014 +0300

    OneDrive - upload the stream when creating a document, we spare 1 Put request this way

commit c62278b027c23810d8ff28b629ea04b273256822
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jul 22 20:04:22 2014 +0300

    OneDrive - createDocument - sometimes the fileName is not provided, so it must be extracted from the properties

commit cdf377a84ea8042df8330b2a48455d2801865cbe
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jul 22 19:04:04 2014 +0300

    OneDrive - refresh parent folder after creating a new one

commit 3eb07de88a306bfeedd015c7b3f6a0aff69e8e77
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jul 22 19:03:09 2014 +0300

    OneDrive - export more properties

commit d13fbfd0c5bce269ec76aaaeb97316c1106c1cca
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jul 22 17:34:51 2014 +0300

    SharePoint checkOut test

commit fdbd30744bc380d98f4e22a257889cc9f7066e10
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jul 22 17:34:11 2014 +0300

    SharePoint cancelCheckOut method

commit cfc695475d4a407cfca6833a3151da3f92844d5b
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jul 22 16:51:40 2014 +0300

    SharePoint checkOut method

commit b4b2229a9ea0de0215f42d218734ef65da44347b
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jul 22 14:33:34 2014 +0300

    SharePoint - indentation fix

commit 2749018ee3fc9ddd8e4447fa56295ca3d619d71f
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jul 21 19:04:34 2014 +0300

    OneDrive - percent encode the fileName

commit 03116f28b58f47c3d11b943b8b88f7f9ccc541d8
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jul 21 18:48:57 2014 +0300

    Fixed the bad indentation

commit 98bf7f1135daaf00673a84c3cec95bc75d248fe6
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jul 21 18:42:04 2014 +0300

    OneDrive - updated tests for the new uploadStream url

commit bcd422ffcb31086110e6d879124feb0a104e4153
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jul 21 18:41:23 2014 +0300

    OneDrive uploadStream - updated the url

commit 93c46bf8a62e538d982bde3dd5d6c7030c4010b2
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jul 21 15:34:44 2014 +0300

    OneDrive object type

commit 2be235f69d4cc8cd39656dd4c14b5e9dcefe13a9
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Fri Jul 18 15:15:44 2014 +0300

    OneDrive, root folder is named SkyDrive

commit 8f362d1f445b866fc40db61a4f7286988bab569b
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Fri Jul 18 13:25:58 2014 +0300

    OneDrive - getObjectByPath test

commit 05f9d0dc9f53e471b4fda87c8f65aa7ff972dcc0
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Fri Jul 18 13:24:47 2014 +0300

    OneDrive json responses for getObjectByPath test

commit 9a8d7fb8282b6bce1a8afb2bb06fee76bb5e2700
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Fri Jul 18 13:22:05 2014 +0300

    OneDrive - getObjectByPath method

commit 94733e4e0705c71df7cba8802788c88dbc75a1dc
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Thu Jul 17 13:41:59 2014 +0200

    CURLAUTH_* are unsigned long

commit f41529b6e04d84ed8ad7b69ee45b7a87fb8682bc
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Thu Jul 17 13:33:40 2014 +0200

    libcmis::escape and libcmis::unescape tests

commit 36a9ce62eafaf6fc045b0e8900ca956f294a690a
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Thu Jul 17 11:18:12 2014 +0300

    Objects have a 'ServerRelativeUrl' property so there is no need for this method

commit bda78e9c88c235352591acead95ef90eff4e1de2
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 16 18:50:44 2014 +0300

    SharePoint setContentStream test

commit 93e20752589b50bf45cb8365cc17207d7563d700
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 16 18:47:15 2014 +0300

    SharePoint setContentStream method - and there is no need for the uploadStream method

commit d734a9894837f1cdb98327c151754a82f57e31cc
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 16 15:11:22 2014 +0300

    SharePoint getContentStream test

commit 5c9371125dba06958c64a71432c3c5a4a7fdf8eb
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 16 15:01:49 2014 +0300

    SharePoint getDocument test

commit 9c79f7192cfaa9359a1cf85174531c7916dcf8c8
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 16 15:01:06 2014 +0300

    SharePoint documents are handled

commit c08c4aadac4b9f69ef33ab4485146895855ae29b
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 16 14:59:52 2014 +0300

    SharePoint document class

commit 66276f48d6c58eb5e63ac642f37999eb2b041434
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 16 14:51:29 2014 +0300

    Misspelled Time

commit 863741c5fc96ee42892e134f21e1b3d4f5bb0521
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 16 12:20:25 2014 +0300

    SharePoint allowable actions tests

commit 0a89dc15b449a3093dfa9d19499345584888aed8
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 16 12:19:19 2014 +0300

    SharePoint folder json response

commit 9761fd79ca49d1c865f7fe61aab3bf41c745e9fd
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 16 12:18:10 2014 +0300

    SharePoint allowable actions

commit abe777a2ef0097f9c7563f90b8deff6c799084c4
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jul 15 13:08:00 2014 +0300

    SharePoint utils - getPath() method, it gets the server relative path to an object

commit 5aad2736666be3b72d9a406806a6a3059c851a3c
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jul 15 13:04:22 2014 +0300

    ignoring sharepoint test exe

commit f4a2031a9b2f023d4458fd789bf6a2445436b1f8
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jul 15 13:02:37 2014 +0300

    SharePoint - removed unnecessary variable from tests

commit 73d1350468702e70891dc2e378af5279e26663fb
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jul 15 12:58:28 2014 +0300

    SharePoint expired xdigetst code test

commit fbb5f11a4e45b52a6959b1f250a454652cefaf05
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jul 15 12:57:38 2014 +0300

    Refreshed xdigest code

commit 0fc3e67c724585049749b4ede0183a9ebb80bb5a
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jul 15 12:18:58 2014 +0300

    SharePoint - updated the tests to handle the xdigest code acquiring request

commit 19e4ecdfdd046f43ffff2a09f76d25613643bf22
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jul 15 12:17:25 2014 +0300

    SharePoint xdigest code response

commit 9dac35c2d8170be5e75278bf847ad956173c5614
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jul 15 12:14:09 2014 +0300

    SharePoint method to get the xdigest code for the xrequestdigetst header and http(Post/Delete/Put) mehtods are overriden to handle the expired code

commit bd66328ca15f7d73d643ce915a7cae282f26b53d
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jul 14 16:12:19 2014 +0300

    SharePoint delete test

commit 26c986bd3ed3f712af054da02ee390c82bd70ab8
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Fri Jul 11 19:19:17 2014 +0300

    m_curlHandle from parent class is now used

commit 430f6d9ad02d1b959d34715793f4f5b5f3bf2be0
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Fri Jul 11 19:17:54 2014 +0300

    Made httpRunRequest virtual so it can be overwritten and made m_curlHandle protected so it can be used by the overwriting method

commit 3239e708ec3d2059682912038fd93bead6d4949a
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Fri Jul 11 12:11:41 2014 +0300

    Reuse a property variable instead of creating another one

commit d5bc194fcc486276c0c7ba4f3161c6c5a1c135c4
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Fri Jul 11 12:03:49 2014 +0300

    There is no parentId provided in the response (for files), so it must be set by the folder that lists its children

commit b6986a896e84dd31e9d86455529c6587e7a86fc3
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Fri Jul 11 10:41:23 2014 +0300

    The ID provided in responses is actualy the uri to the object, so the ID is no longer splitted by the binding url

commit d7a37987dceecefe965a7a4f372bec98d093145a
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Thu Jul 10 15:58:39 2014 +0300

    SharePoint default authentication succeeding test

commit e4befddd3689eecad05b99c6c07692aa478ba3c1
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Thu Jul 10 15:57:12 2014 +0300

    SharePoint xml response to a request to the binding url

commit 9463ffc8b23b05ff14dfce06930339e53611defa
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Thu Jul 10 15:56:15 2014 +0300

    SessionFactory - second SharePoint session catcher used when default auth succeeds

commit adbea743c144c88ae975f629c2ffc6746cfb9084
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Thu Jul 10 15:15:24 2014 +0300

    Exception was thrown in a wrong way

commit b7968a2199f5c2f64cd4729c77dbdf631467f907
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Thu Jul 10 14:37:43 2014 +0300

    SharePoint new constructor based that takes an HttpSession as a parameter

commit 96dcb098c2d16d03af3951b3f445e61b26b10011
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 9 19:12:26 2014 +0300

    SharePointSession - httpSession::httpRunRequest method overwritten

commit fccee9cb8405d098cf2b6115f98ee30ec5596dd4
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 9 18:51:21 2014 +0300

    Made HttpSession::httpRunRequest protected so it can be overwritten,
    as the SharePoint binding requires a header specifing that the response
    should be JSON, so  a custom header had to be added to all requests

commit 461e4ec692b1f3f92388e6246cae23f08db319bf
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 9 18:48:17 2014 +0300

    HttpSession - setAuthMethod instead of setNTLMAuth

commit 62f6036d417638ecf4d9a6439f8d0963e27fa0a5
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 9 14:03:43 2014 +0300

    SharePoint getObject & properties tests

commit 3fa689fee422caf468a8b8a1b58505fd3ed64e0e
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 9 14:02:36 2014 +0300

    SharePoint getRepositories test

commit 9c25abebe2302c7976ce209f0a9fc0b1fa7c8b7f
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 9 14:01:22 2014 +0300

    SharePoint mock json responses

commit 1050b87cfa76687eba216b67a5ee1c2039fb3adb
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 9 13:59:47 2014 +0300

    SharePoint getObject handler

commit 0dd24acf776170ec034eea9c52d57cabd51a2356
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 9 13:58:09 2014 +0300

    SharePoint object class

commit ee7fc9f36a4d064d7a573062f2b238b390c3621a
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 9 13:55:38 2014 +0300

    SharePoint property class

commit 5b7894e08e4237a4fd4d8bdec750a70dcfa7d211
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jul 9 13:53:18 2014 +0300

    SharePoint utils

commit 306521080cf62d8a4d9f40ec3fffdf3b12961414
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jul 7 15:25:18 2014 +0300

    SharePoint session creation test

commit ecc84169d3ddeae9560eb3a2268e4511d393ebbc
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jul 7 15:24:14 2014 +0300

    SharePoint factory test JSON response

commit fad92db6486d2ccc8868bb0a94dae637c9ed42fb
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jul 7 15:18:36 2014 +0300

    SharePoint session creation handler

commit ed9880d712ad6dacc117b637c31244038190ebd2
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jul 7 15:16:46 2014 +0300

    SharePoint session class

commit 31777feb4580e21bfe0713375f222fcc3584dac9
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jul 7 15:13:59 2014 +0300

    NTLM authentication for SharePoint

commit 54b7278b109ad5731ce84390b20b3e0b29416fc2
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jul 7 15:10:19 2014 +0300

    SharePoint dummy repository

commit b05508b6e9d54cb0dfdb9a9a3f745a63aee6bea8
Author: Fridrich Štrba <fridrich.strba@bluewin.ch>
Date:   Tue Jul 1 17:17:03 2014 +0200

    Remove C++11 only std::to_string

commit aade7c5c1cfdf3843d26bbd217e85ff0a8851d99
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jun 23 19:02:45 2014 +0300

    Removed a useless http reqest for the OneDrive authentication

commit 96a353c132c41b1ede4e6a233c3e7d7062025646
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Thu Jun 19 19:37:12 2014 +0300

    Merged Cedric Bosdonnat's patch from LO, original message:
    Object creation mixed relationship properties with document
    properties
    
    Added a Unit test to show the problem. We surely don't want the
    relationship cmis:properties to be read as properties. This bug caused
    some problems with other operations like checkout.

commit d334f9510e23ac50f8e599f40c16417624c61778
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jun 17 18:50:47 2014 +0300

    OneDrive createDocument test

commit 652817651902e13654ea5dd6d9fe6f234db76763
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jun 17 18:50:00 2014 +0300

    OneDrive createDocument method

commit c714511f7f64141885f48ffb64b9f1b38f16af51
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Tue Jun 17 14:45:39 2014 +0200

    OneDrive: don't blindly create an object: use the helper function
    
    Blindly creating a OneDriveObject directly in updateProperties will
    lead to troubles when we'll need it to act as a Document (or Folder)
    depending on the kind of node we have. Using the getObjectFromJson
    helper, fixes the problem by creating the proper object.

commit 1534f23357dba9f8f066ad29a6bbdd2fd5f31a15
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Tue Jun 17 14:30:40 2014 +0200

    Log the missing data files for failing unit tests

commit afba3c09424069bc4287e84e3564888cab1ec8f6
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jun 17 15:39:44 2014 +0300

    OneDrive createDocument test - not working yet

commit 3fe85822e5bb849e2513d08bae8054a44d266890
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jun 17 15:28:47 2014 +0300

    Forgot to add this one

commit eb1aa0dfe1134ee56f9b70b6bceb3b2f3ec31a67
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jun 16 18:05:07 2014 +0300

    OneDrive setContentStreamTest

commit ba25481e439bd7829e18b681827595d25efdf304
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jun 16 18:04:22 2014 +0300

    OneDrive getContentStreamTest

commit 3950a7c41c580f685b068b8bb6953be68bfe787a
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jun 16 18:03:21 2014 +0300

    OneDrive getDocumentParentTest

commit 2476175d34f2ad6fe9cb2a88fe3d1ef8386409a9
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jun 16 18:00:40 2014 +0300

    OneDrive getDocumentTet

commit 33f09535473b3d4f15e37b8b0c4e5a67087aa8b5
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jun 16 17:56:48 2014 +0300

    OneDrive document object can be created

commit fcac389d85c781491a22f7f8fb352e7df5bc1365
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jun 16 17:54:46 2014 +0300

    OneDrive Document class

commit 3d161edd609168164c5c1c8af9c2fad635ac3c72
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jun 16 16:12:00 2014 +0300

    No need for this

commit 333224639dcc2ada4445b1d617bce65d61d56778
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jun 16 15:35:03 2014 +0300

    OneDrive move test

commit 25f59ae5e926fbc0cbd01e55773f38531e0146dc
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon Jun 16 15:34:01 2014 +0300

    OndDrive move method

commit 31ce6084e055d6ad9777971ce774ef7d41193ea1
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Sat Jun 14 16:33:21 2014 +0300

    OneDrive getObjectFromJson function

commit 6ad98c0861f045be929f3aa4be0fa5fd730b2bf1
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jun 11 11:29:55 2014 +0300

    OneDrive getFolder & getChildren tests

commit b2f3866f59e942641590f90b7be0528dddbe6e20
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jun 11 11:23:41 2014 +0300

    OneDrive session can return folder objects

commit e1f59973a73589fc8fc36899405c9e01d111e135
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed Jun 11 11:18:37 2014 +0300

    OneDrive folder class

commit 6429151ef18bbdbcbdb4115affed1e4c33b5b63b
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jun 10 22:33:46 2014 +0300

    Updated the test files

commit 8e22fcfb8694d8581575e839ad9fa941cc54dea9
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jun 10 22:21:48 2014 +0300

    Removed folderPropTest, as the props will be tested in the getFolderTest()

commit b5f8fef0146bb4ffa1658b9abf8f4af4477aaee6
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Thu Jun 5 14:58:23 2014 +0300

    OneDrive - filename maped to both cmis:contentStreamFileName and cmis:name

commit 4ff1a79fdb88f21990dda7dbc37851e195d80948
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Thu Jun 5 13:33:45 2014 +0300

    OneDrive allowable actions test

commit f9e62e2c00b88756c54544fef7e93d77880bc81e
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Thu Jun 5 13:29:27 2014 +0300

    OneDrive allowable actions

commit 25806ca4f0c20dcd21256b25f6e6a260cf2eba8e
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jun 3 11:55:05 2014 +0300

    Ignore onedrive test exe

commit ee562929324da1858041a99ac1e46d30bb948b24
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jun 3 11:47:44 2014 +0300

    OneDrive updateProperties test

commit a978c079c9bf99c4af11d034049c5a72365ff74d
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jun 3 11:45:36 2014 +0300

    OneDrive properties update method

commit 42ed96535435cf0df6c305a13583024ad8168181
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jun 3 11:41:45 2014 +0300

    cmis to OneDrive json converter

commit 53fb01b89d6e1777d61584c8da5bd2788392af71
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue Jun 3 11:37:24 2014 +0300

    OneDrive object delete test

commit 08dad2c70f1f042bc8ae64a75471fe74394f397a
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Sat May 31 20:32:41 2014 +0300

    Onedrive object test

commit 1c9293d391e7d0b3698531b140732e3f20fc95a1
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Sat May 31 20:13:06 2014 +0300

    Onedrive file test with mock libcurl

commit e209c5c9dab7f2f80bfa239aadae0c1d600c7ee2
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Sat May 31 20:11:14 2014 +0300

    Onedrive object class

commit 4b3f9d1174a5da9d9c487d5b6045d7126613b44c
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Thu May 29 22:01:22 2014 +0300

    Found updatable properties in another documentation

commit d99167eb4cdbc41b909cb9e2d6581f741f353562
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed May 28 21:04:11 2014 +0300

    Oops, used wrong coding style

commit 4c7ab7f5b9de0cc7d9cc3d5b131f32ee572b321a
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed May 28 20:59:22 2014 +0300

    Listed folder properties test

commit e409766d2bab21ca3b2a794549c1311017834f4f
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed May 28 20:57:58 2014 +0300

    One more update to mock responses

commit d11970d410b195667a2c34dcdc745295f94b1e8e
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed May 28 20:46:49 2014 +0300

    Changed mock id

commit d9a345c744fdb60fbda7547ea3f85248757bb0d4
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed May 28 20:16:37 2014 +0300

    File property test

commit 242d0a037513e73776555eb58ddeb72c582772b5
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed May 28 20:14:13 2014 +0300

    Mock json responses for a file and a folder

commit a092bc30e6d0e0e4fade2f1636f35f649aaaa64c
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Wed May 28 20:12:23 2014 +0300

    Makefile update for properties

commit 356f98d8551a49075a7c2709a1dc5380d0fd8b7c
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue May 27 11:46:31 2014 +0300

    OneDrive object properties

commit 06a33ee08db14917279cde0d7074d35ff9858f76
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon May 26 19:35:55 2014 +0300

    One drive utils for properties parsing

commit 040707d76319822736bbec529bf73901135038bb
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon May 26 19:32:12 2014 +0300

    Removed comment and unused if statement

commit 48d04c7c0354523048266f3c6af41f3580ad1330
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Thu May 22 11:23:52 2014 +0300

    getRepositories test

commit 5091e718afcef35ef102361ed4be59a700335448
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Thu May 22 11:20:00 2014 +0300

    Removed tests that don't pass

commit 11187959e07bdb7b7b185d6494969187902f815a
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Thu May 22 10:34:52 2014 +0300

    One drive repository

commit 02e8e50ed363beb3a50bbe81e645258ec4595f6c
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Thu May 22 10:26:51 2014 +0300

    License statement

commit 8610ba385707be5130451ee14d8ef58c033dbc46
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue May 20 15:36:25 2014 +0300

    Removed a misplaced whitespace

commit 47daf99b21c10d0d00a1b00578ed1b4fdf500adf
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue May 20 15:28:08 2014 +0300

    ondrive tests are also run

commit 6a343cf997c3a48c837bd6a5f43db431c46744f4
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue May 20 15:25:32 2014 +0300

    test unit files for onedrive

commit 27959d24b433703efb9455839bd9bd9812d883eb
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue May 20 11:33:40 2014 +0300

    unused varaible error

commit eb946ee31bc0423f589a39e99cc0abbb0300de0b
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Tue May 20 10:57:29 2014 +0300

    removed trailing blank lines and unused code

commit 9348429fcfb0564bb453e109cfa9a9827b239f54
Author: Mihai Varga <mihai.mv13@gmail.com>
Date:   Mon May 19 13:21:34 2014 +0300

    One drive session - basics

commit b359c6e55dcf3e7eb2dec28a40af4157afb7d4bb
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Feb 11 12:43:48 2014 +0100

    Fix OAuth2 refresh after refactoring

commit e85f605e504f054c9a2539209aaba3f0476b0e4d
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Feb 6 10:41:17 2014 +0100

    Fixed cppcheck complain about duplicate handle members
    
    (cherry picked from commit dbb5d41f7caabe361e721707e0d5661a7e650e60)

commit a7227235d69e708e4e49f27da1b7bc03c7412ad7
Author: Adam Conrad <adconrad@ubuntu.com>
Date:   Thu Feb 6 09:13:32 2014 +0100

    Fix int/bool confusion on big-endian architectures.
    
    (cherry picked from commit 433fad370ddd30c43df281b40ff468a842bc1c70)

commit 40390e84aba1b0db2c4f653e3a42d6b246beb1c9
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Nov 18 10:54:47 2013 +0100

    Fixed OAuth2 authentication with the recent factory changes

commit d5e5b11d31a1c65e63826e55f338b42a4590eb2c
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Nov 13 09:50:30 2013 +0100

    Changed XPath expression to include all possible properties
    
    Alfresco supports aspects (CMIS 1.1 secondary types) for a long time
    and they provided them as extensions in their CMIS 1.0 implementation.
    Changing the XPath query to match all properties based on their
    propertyDefinitionId allows libcmis to provide those properties stored
    in the cmis:properties extension part.

commit 1bcf74878f1f7c78f9050b51d10500a01bae1396
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Nov 13 09:28:09 2013 +0100

    libcmis-c: new [add|remove]SecondaryType methods

commit fe232c1bb2b7d221fab05ce4524bd6c2c28d28d3
Author: Jesús Corrius <jcorrius@gmail.com>
Date:   Wed Nov 6 22:55:27 2013 +0100

    typo

commit c907b9fb426e7a273bf8972bd11255eef0ebc1ab
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Nov 7 14:58:10 2013 +0100

    PropertyType: Added update feature for temporary property types

commit 13c47ac1095f4ef2711147b902eee4ee3d475cfe
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Nov 7 13:19:14 2013 +0100

    Properties can now be created without a type description.
    
    Beware, the underlying type description that is created is now an
    incomplete one. This needs to be updated before use. The code to update
    it is not yet provided.

commit f178f5dddf71c8bfc5193c23f0896c4eda388001
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Oct 30 10:43:44 2013 +0000

    Added addSecondaryType and removeSecondaryType on Object
    
    Only the unit test for addSecondaryType on WS binding is written by
    now... and failing. To get it working properly, Property needs to be
    decoupled from PropertyType and at least allow missing PropertyType at
    parsing time.

commit bea5012912528a59193a1f9e9e8227fb932f09ff
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Oct 30 09:45:24 2013 +0000

    udpateProperties won't send HTTP request for empty properties

commit e8c713b42d0cd1500ae0ee1c22d50db0db296b12
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Oct 30 08:22:31 2013 +0000

    Added shortcut function to get CMIS 1.1 secondary type ids

commit 86d19edb4ab491b5cbec6e73cd0d08ed01f50a63
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Oct 29 20:14:34 2013 -0500

    Added Session::getBaseTypes()

commit 9d219571bb5d035aff2b5c50f4bd3b9d97a28026
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Oct 29 17:27:51 2013 -0500

    Updated NEWS file

commit 3c3e30d338dc58ad76e85ec7c214f3f235d06740
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Oct 29 17:23:32 2013 -0500

    SessionFactory test that we have only one HTTP request on bindings
    
    Only implemented the test for CMIS Atom and WS bindings

commit faea04f9ad55833513a6177bf80a88f6145bad87
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Oct 29 17:11:37 2013 -0500

    Added unit tests for SessionFactory

commit 91f0a45ec6294bbec7a48d5310b6f92c514122f0
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Oct 29 15:34:00 2013 -0500

    Save a few HTTP requests during the session creation
    
    SessionFactory now runs the HTTP GET query on the binding URL itself
    and provides this response to the various bindings it tries in order to
    save a few HTTP requests.

commit da9978451f194b9a694d10ef552089afba84129f
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Oct 29 13:03:09 2013 -0500

    Extracted HTTP-related code from BaseSession
    
    This refactoring is mandatory to help reduce the number of HTTP
    requests sent in SessionFactory to decide which binding to use.

commit c66051135892de8bec7a1d48e391d52582d2454d
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Oct 28 21:33:24 2013 -0600

    No need to stick with serial tests anymore

commit 8dc6dd5158bee388de3292e27058df702a5272e1
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Oct 23 11:25:01 2013 -0600

    Files move and test binaries as these turned useless

commit 4aed0d13b92df10490c8ee92e719d6bdd06efe06
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Oct 23 10:56:07 2013 -0600

    Updated NEWS file

commit 6fb8117f6002757d14ad5c26a536343c6ae75116
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Oct 23 10:52:09 2013 -0600

    Migrated the last WS unit test to mockup: removing the test server
    
    Unit tests now don't rely on chemistry inmemory server and are
    executing much faster and will be easier to maintain.

commit 15e80e75ca519ad9bf11e7604d13824ff41d097b
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Oct 23 10:28:53 2013 -0600

    Moved checkIn WS test to mockup

commit b841ab7dc15662212410135902b4f009f6c13ec0
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Oct 23 08:18:48 2013 -0600

    Moved cancelCheckOut WS test to mockup

commit 3d913fced0b04a229341ad67663cfc78d96b7bf3
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Oct 21 08:28:03 2013 -0600

    WSTest::checkOutTest migrated to mockup

commit 8c101763a70dba707b888e8dce75bc276cdf80fd
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Oct 21 06:55:12 2013 -0600

    WSTest::moveTest migrated to mockup

commit 470af30e4a7d0db7a58b0f1b1672a5bfa05eb1a8
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Oct 21 06:08:58 2013 -0600

    Moved setContentStream WS test to mockup

commit 04ed2cc1e2019be473e0ae677cb30db39e4472b3
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Oct 21 06:08:32 2013 -0600

    Tell YouCompleteMe to check with c++98 standard, not c++11

commit 87c1ce32552d770c82861295a26fc90bd273dc34
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Sun Oct 20 19:24:37 2013 -0700

    YouCompleteMe config file to get completion and syntax checkin in vim

commit 8847145a09ae6418302ba7e9bfc499c941576e12
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Sun Oct 20 19:23:32 2013 -0700

    Moved getContentStream WS test to mockup

commit 1066dc5dfc1ba2fb5253bd14bdc97ed7a8326bb0
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Sun Oct 20 17:17:50 2013 -0700

    Moved delete object and tree WS tests to mockup

commit 2b55060054df5fd8600e4aaf5414b969d6ff56d9
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Sun Oct 20 16:44:30 2013 -0700

    Moved createDocument WS test to mockup

commit 5839ebaab2defdb324783887a1fb5f321dd8d630
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Sun Oct 20 14:53:28 2013 -0700

    Moved createFolderBadType WS test to mockup

commit d9eec9d4960227aab97d8032fda681d42fad3d12
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Sun Oct 20 11:41:33 2013 -0700

    Add lcov support
    
    To get it working:
     * ./autogen.sh --enable-coverage --disable-shared
     * make coverage
     * Open libcmis-lcov/index.html and check the results

commit 427802aaeb03d2b0868efea3aaade475c22b94fd
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Sun Oct 20 06:36:16 2013 -0700

    Moved createFolder WS test to mockup

commit 80cfa0f58113ac8fbba9438189e21c95c5a52501
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Sat Oct 19 08:17:47 2013 -0700

    moved WS updateProperties test to mockup

commit b066956c6e2675fc5eb759829b8025e64b227ff3
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Sat Oct 19 06:41:55 2013 -0700

    Moved getByPathInvalid WS Test to mockup

commit 88139b5f804538756728fb2d5625c6f3b9c36ae7
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Sat Oct 19 06:30:29 2013 -0700

    Moved WS getByPathValidTest to mockup

commit f1cd9cb8aa33de31ab63183ed5d9e1f3c76ad097
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Sat Oct 19 06:11:11 2013 -0700

    Moved getChildren and getDocumentParents WS test to mockup
    
    This needed to improve the mockup to accept matching on a string
    contained inside the request body. This still may need to be improved
    later though.

commit 0e37d25938b2b28a2423c62245bbaf1d5bcc81ef
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Oct 18 12:53:09 2013 -0700

    Add getFolderTest to WS mockup

commit 44e6d1db8a0d65ac453c00f50531ab0b167dd76b
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Oct 18 12:42:01 2013 -0700

    Moved getDocument WS test to mockup

commit 68fb20012f87419cd4c506c4332754be6706a853
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Oct 18 12:31:58 2013 -0700

    Moved getTypeChildren and getObject WS test to mockup

commit 9338900272eeeff7773b505dbe700beaa91a00a2
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Oct 18 08:51:31 2013 -0700

    more getType*Test in test-ws-mockup

commit bbb4e5ff3314b0062c0672f27421e6b1eff49f7a
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Oct 18 12:16:56 2013 +0100

    Moved getTypeDefinitionTest to WS mockup test

commit 2ea1b7e5faa0090065d0052e389ee4768a64b62b
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Oct 18 11:36:58 2013 +0200

    Moved getRepositoryBad to test-ws-mockup.cxx

commit 00a0e61d3741159ce9c1c179bbb668e57ff060be
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Sat Oct 5 14:03:22 2013 +0200

    WSTest mockup: test sent requests

commit f051f5dd38609e1820fcd9a4f4bdebd14fa312a2
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Sep 30 22:45:49 2013 +0200

    WSTest mockup: added getRepositoryInfo test and fixed response setting

commit 8f13dec86bf61ab4cef247e700992de9c01b9536
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Sep 30 21:45:43 2013 +0200

    WSTest mockup: actually test getRepositories without other requests

commit c124cf16db68ae96da6509351eb4434723c69164
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Sep 30 20:19:22 2013 +0200

    WSTest: improve session creation to avoid any HTTP request

commit 28c138c5d600f64e3b121ebabee35f180bc16e5e
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed Sep 25 10:59:59 2013 +0200

    Check is the path of the parent is empty
    
    In some ID-based protocol like Google Drive the
    return path may be empty, it causes crash if we
    don't check.

commit c6b073ba08766fe7ba7d46a4c5cb002114cc1f07
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Sep 23 22:56:48 2013 +0200

    WSSession mockup unit test conversion.
    
    Started the conversion with a simple test case: getRepositoriesTest.

commit c04b29ee80ac4886f1b87773eff32cc7fe7a000e
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Sep 23 22:54:01 2013 +0200

    Allow related multiparts to contain unix line ends.
    
    This will allow to store multiparts responses for WSSession mockup
    testing in the git repository without trouble... and who knows,
    there may be a server out there not following the RFC.

commit 26fb993f1f3e6b47fb75b6601d5110432c746924
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Aug 7 16:11:34 2013 +0200

    Bumped version number

commit 3feda09e69d8a11af673308c33c6534c26ce550f
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Aug 7 16:09:05 2013 +0200

    Don't install libcmis-mockup: it's only for testing
    
    (cherry picked from commit c09ab20c046049d5a8ae0c812c97e3d653ecd6ce)

commit 8404d031bb238c12b9770e63618149b11296584e
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Thu Aug 8 14:54:20 2013 +0200

    Json util: check for empty string.
    
    libboost version in LO throw exception here.

commit 7f0150914bacc0ff3e92c7bfa5a9b6918d1c3431
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Aug 7 14:03:09 2013 +0200

    makefile.mk no longer needed for LibreOffice builds
    
    (cherry picked from commit 66a387cc62f3ed6f328d37bf739120fd9bfd64e1)

commit 409a319e0188de90c6d5fae6c3ce2fe328ebca91
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Aug 6 19:03:48 2013 +0200

    Fixed typo

commit c7ff67a093519c16a177ff1d529794ae39e762c3
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Aug 6 16:20:46 2013 +0200

    Unit test for invalid SSL certificate handling

commit 2691e6026dd9ba8c13fbed3df6805c34d764d7d9
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Aug 6 15:42:07 2013 +0200

    cmis-client: cache the SSL certificate validation answers

commit 5bc05fe6a4124cc3459fb977850d0aca93ea253f
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue Aug 6 17:00:32 2013 +0200

    add gdrive-repository.cxx

commit 2bc26640fe44940ec3eb760577c3866fc6d1ded8
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue Aug 6 13:59:21 2013 +0200

    Add GDrive repository capabilities

commit 193e53dff45016345b187c650ec77d9b4431c982
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Aug 6 12:37:29 2013 +0200

    Updated NEWS file

commit d77e524aeafffbf03a31ed851795c1a620234733
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Aug 6 12:32:36 2013 +0200

    WSObject don't ask renditions to the server if it doesn't handle the feature

commit 34e02faca4d38fd6d98ca88efa887c71d0d870b5
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Aug 6 12:25:49 2013 +0200

    Added libcmis-c part for the repository capabilities

commit c3804f754abd8662f4840386b77904db83ee1af3
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Aug 6 11:48:59 2013 +0200

    Repository: provide access to capabilities
    
    Added cmis-client repo-infos command.

commit e82faf704c6c8912db2bee62dcca552ad9dec359
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue Aug 6 11:03:50 2013 +0200

    GDrive: make object type versionalle, creatable.

commit 2b1b91a4a0d61305320fd1a09d10658a3900b794
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Aug 5 18:08:34 2013 +0200

    Added implementation for CMIS renditions in both Atom and WS bindings

commit 557229b4c2ecde0656c3b06dbbba458ececd79ff
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Aug 5 10:46:51 2013 +0200

    NEWS file: mention the unit test changes

commit ee186f6e3ce0bf5c2defe0f8b022df287c125b13
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Aug 5 10:44:46 2013 +0200

    Updated NEWS file

commit 5b91cf762047996e484bfecd05b1fe0805fac64c
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Aug 5 10:42:00 2013 +0200

    Added Cuong to AUTHORS file

commit 7747ef55f70965b2d509154491079b4ad3c04732
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Aug 5 10:40:14 2013 +0200

    libcmis-c: don't use internal type names in the API

commit 0deb3957036fb91fe16b557bab94bd278735a556
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Aug 2 16:31:35 2013 +0200

    Added missing libcmis-c bits to cover new things from libcmis

commit b494d2c5c9210d6c9407ffa5c4f0cf212c5ec9a0
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Thu Jul 25 14:10:44 2013 +0200

    Give the complete certificate with PEM header/footer lines

commit d9bdbb654d68f54ddcb2032997fffacc4a841ef6
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Thu Jul 25 13:52:01 2013 +0200

    Added a static handler to have user validate SSL certificates.

commit 6b73428786a9734b3313103500904aae8e3f2dfe
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Thu Jul 25 11:44:39 2013 +0200

    Remove the certificate's header/footer to only provide the Base64 part

commit 9d1da17b6cce4074eb0e684281bfc52f422d8bc9
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Wed Jul 24 15:04:15 2013 +0200

    Fixed cppunit errors in json-utils and gdrive some classes

commit e253fbd7fdf3f540546be71246e5911902dcf790
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Wed Jul 24 13:49:48 2013 +0200

    We need to show the whole chain of certificate for client to verify it

commit 35e9ffd17479a1433a533b7ff6c4813e125467e3
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Jul 11 17:05:41 2013 +0200

    cmis-client: show the bad certificate if any

commit 5589a8fdaca88aea441e90d43a5c10eaf77c311b
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Fri Jul 19 23:00:11 2013 +0200

    GDrive revisions: populate revision name, created date and created user

commit 125bea9c59972a376bcaa0b8613fb0fd2bc316de
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Thu Jul 18 19:49:18 2013 +0200

    typo fix

commit fdc99a0c1068b81c898f5e7c24dccf03c23ee6a5
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Thu Jul 18 19:46:50 2013 +0200

    GDrive: revisions ID
    
    Revisions of GDrive has a different ID than the original file.
    Changed it to the original file to avoid confusion.

commit b8075edcf1f4b75b9db41ee16cba986052598d55
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Thu Jul 18 14:14:42 2013 +0200

    GDrive: set property MultiValued

commit 257e53a291eb2a0e8d4a6231b45bc870ead4c9a9
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Thu Jul 18 10:29:47 2013 +0200

    GDrive: better properties presentation

commit 0be7eb2144c35dca2ea2ea7634f8cf7d1a85eef6
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed Jul 17 18:42:59 2013 +0200

    GDrive set content stream
    
    Only upload filename when it's modified

commit 3a5f9e5f39ab717cd6a3860271ff8aefc4c9cd39
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed Jul 17 09:23:04 2013 +0200

    GDrive repository: a better name

commit 574834017bc81c1553766b6bab1194ff658b6597
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed Jul 17 09:22:05 2013 +0200

    GDrive: create repositories even if we are not authenticated

commit 7a2e9221ad3074483c1b17adc6e27f092012f714
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue Jul 16 20:01:21 2013 +0200

    GDrive: root folder name mapping

commit 66064aff9205e7476f97ec52446aca3fdf374c51
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue Jul 16 14:41:39 2013 +0200

    GDrive to CMIS property values mapping

commit 59e05698ace71684a7adb4ed961538935bb0d766
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue Jul 16 14:29:43 2013 +0200

    GDrive: root doesn't have a parent

commit f2a770627ab76b955f95920a4be5f370b6bf1228
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue Jul 16 12:26:23 2013 +0200

    JSON parser: switch to libboost

commit afab987c67ec7393b7bcc0acb1543b8906601755
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Mon Jul 15 11:18:21 2013 +0200

    Added noSslCheck parameter to createSession and cmis-client

commit c9258990fadebf83e99e029a601a5a42b1c0d81c
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Mon Jul 15 10:55:18 2013 +0200

    GDrive get object by path
    
    Uses path as ID since Google Drive doesn't support
    get object by path.

commit fc25cd22e77b6eb995104190219ef34a7f0740cb
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Fri Jul 12 17:20:26 2013 +0200

    Allow to disable SSL verification for a session

commit 07b08ec5eabd16ab3015cae7ca722be4851585eb
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Fri Jul 12 11:14:37 2013 +0200

    configure: change docbook2x to docbook2x-man

commit 5cbd3d65603a862fa9e4c8dde801afb2fb64bff5
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Fri Jul 12 10:53:39 2013 +0200

    In some distros docbook-to-man only handles SGML, prefer docbook2x

commit 693b05a9f4520c3f13378507afbc2ee62d259a52
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Thu Jul 11 16:38:35 2013 +0200

    added libcmis-c/libcmis-c.h main header

commit e0f3923d36a3b03729a707da803c6b2ee6b3c092
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Thu Jul 11 16:18:58 2013 +0200

    Added a central header libcmis/libcmis.hxx

commit b4b61112ac9a93e4712a282ca94a429db4a4d6c6
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Thu Jul 11 16:18:13 2013 +0200

    Added missing libcmis-c.pc.in to extra dist

commit 96b9e07cf527b3de521f0b7c3bdb0e88d451b476
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Thu Jul 11 16:17:00 2013 +0200

    Removed json-utils.hxx from some public header

commit 825b12d02c5e3116fb176026bc14a5548dbe5c68
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Thu Jul 11 16:16:02 2013 +0200

    Fixed opencmis webapps tarball download URL (long tests)

commit 2db9dbb36527cbdaeac0b8be313005c307ac442d
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Jul 10 17:58:37 2013 +0200

    Bubble up the SSL certificate errors
    
    Get the failing SSL certificate and make it visible from the API. Note
    that this depends on libcurl to be built with openssl support.

commit 57fcf5b076d2c5a4117191c3acbb1702e54db6ca
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Jul 10 11:09:23 2013 +0200

    renamed test-mock-atom.cxx into test-atom.cxx

commit 6c513ea816bfef6ccc807b2c24bf20dc0038d7af
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Jul 10 10:09:14 2013 +0200

    automake now has parallel-tests as default, force serial-tests
    
    The long tests needing the run-test.sh can't be run with the test-driver
    in parallel: turning that feature back to serial to avoid problems.

commit 270542cc7e2277f30b570043b1d7734b93d48f61
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Jul 10 10:01:31 2013 +0200

    Moved the last atom unit test to mockup tests

commit 763308a8ac3ebdbaddea8548dd933c7bb7861574
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Jun 13 14:58:10 2013 +0200

    Moved AtomTest::getAllVersionTest to mockup tests

commit fbb4d46c065a2018da970a35a1d04138e1663f90
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue Jun 18 12:12:03 2013 +0200

    Gdrive property: keep the GDrive display name

commit e6d340e70a50797326195219b155ebfe83fa543d
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Jun 13 11:46:18 2013 +0200

    Make cmis-client remember the asked username/password

commit 262f1372c2ff1cdaae69d11f51df5772b5782eb0
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Jun 13 10:12:06 2013 +0200

    Fixed related multipart import: there may be spaces in the content type

commit 1436b7b824a185e6b768688a3395d0120af84a65
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Jun 11 10:13:38 2013 +0200

    some newer versions of cppcheck bring loads of false positives with unusedFunctions

commit 90eef104c8b601dc57df51dedc1c30b3d31ca8e5
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Jun 11 09:44:06 2013 +0200

    Fixed cppcheck test missing sources in make distcheck

commit 5e90af9c436db138b9ee33a4776a28f5d1c743e1
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Jun 10 18:04:34 2013 +0200

    Fixed some make distcheck problems

commit 6dd7f758298643563bbc39e1dbeb7e226181e4f4
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Jun 10 16:28:04 2013 +0200

    some more cppcheck fixes

commit b298e52bd3ab4cdc7c10f58f0c696df6759b4e00
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Jun 10 16:27:46 2013 +0200

    run cppcheck in make check if we have it around

commit 6ae5279516c1342b444e92e06f4cc6ef962e15e4
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Jun 10 14:54:27 2013 +0200

    Fixed cppcheck-reported problems

commit 96b3512c5276602427354e8e0e4c26ff018b74e2
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Jun 10 14:14:15 2013 +0200

    atom test: moved checkin to mockup tests

commit 572aaf3fb98cec88f5a2622b3ed4250250365e0f
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Jun 5 11:45:31 2013 +0200

    Added unit test for fdo#60954 property parsing case

commit 4f532d4a2dd5e86e4a17e30ed703a67a4f149530
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Fri May 31 16:17:20 2013 +0200

    GDrive: revisions should have the same parent ID with the original
    document

commit c80e00195a5ad14ec45311cf1303518382a2176d
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Fri May 31 16:00:06 2013 +0200

    GDrive test: getAllVersions

commit 1c8449c2693e69b4a7131331b5b1f484e65f5891
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Fri May 31 15:27:27 2013 +0200

    Move some methods from GdriveUtils to OAuth2Providers

commit c9a7b72944c1da7bb031aaa83e67c71aac8a0df7
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu May 30 14:28:09 2013 +0200

    Renamed BaseSession::getBaseUrl() into getBindingUrl()

commit 27f14a81c879e37eb87c9d97ef93e44bf4ef9c4a
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu May 30 14:27:49 2013 +0200

    Match Alfresco in the cloud OAuth2 parser based on the hostname only

commit 5742fcab9f6d9b275d07b493fe1c32319798c778
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Thu May 30 13:55:20 2013 +0200

    OAuth2 session refactoring

commit a4235d5037a663020d7f18c8fa04c6f888d76c7e
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu May 30 13:40:42 2013 +0200

    AtomTest moved cancelCheckOutTest to mockup tests

commit 26882d09e33d90c0198e727d2de688c22245118f
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu May 30 13:40:17 2013 +0200

    getAllowableActions() should catch CurlException

commit e6b8f3688569d757c5d7dfc459556cc2d551daf0
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu May 30 10:48:24 2013 +0200

    libcmis-c: readded oauth2-data removed code and fixed it

commit b1cb78b419268877d61e6c39c2e5a255881f6cc5
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed May 29 15:31:45 2013 +0200

    Rendition: some refactoring + C wrapper

commit 4263ddd04b51a4010906ba857c7911418a717f97
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue May 28 17:04:52 2013 +0200

    Added rendition.hxx to the public headers

commit 65c580736ca8c13e311308eb99600c58d8b03be8
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue May 28 14:19:22 2013 +0200

    OAuth2: drop authentication by refresh key.
    
    We always require username/password for each session creation.

commit dbdaf2972f9c781fb6f89618261ca3a1e4e736a5
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue May 21 21:05:13 2013 +0200

    return empty code to use fallback provider

commit 52be61185d256ce97e48689bfd3371f7d039c36f
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue May 21 20:26:22 2013 +0200

    Oauth2Authenticate: return an empty auth code to fallback

commit de8de722adc7963a1ceee83d2f0957049e4d9c49
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue May 21 19:45:26 2013 +0200

    no need to create a temporary oauth2handler

commit f919ca96408c4009c263e53d9d997533c0d05de0
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue May 21 19:05:39 2013 +0200

    Alfresco public API OAuth2 parsing

commit fa49b75ef7021282e58e0ae244a67822ccb620bb
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue May 21 17:37:32 2013 +0200

    OAuth2: if session creation fails with refresh token,
    continue with other methods

commit e8e5d0e40a46bf37224299bfdd625254d24ac0ae
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue May 21 16:31:48 2013 +0200

    atom tests: moved checkOutTest to mockup

commit f2be182947efbbefb92c161e3bac867b72f1829a
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue May 21 15:29:58 2013 +0200

    OAuth2AuthCodeProvider: return string instead of char*
    
    to free caller from deletion

commit afc1523da778d9c18493a22b55560acca7c8f501
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue May 21 13:31:16 2013 +0200

    Fixed test-jsonutils build: no need of the mockup libcurl

commit 9baf1e12f46136171096c533bebba6f99d7c27ca
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue May 21 10:29:40 2013 +0200

    cmis-client: don't drop the temporary session, reuse it

commit fc3a0aee07fbd362cd0a398dd6c1a844e5b5f475
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu May 16 13:58:48 2013 +0200

    disable unit tests on windows as they don't build

commit 13cb7a2a30fed32bfab344d43075f1af0ea00f54
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue May 21 11:34:54 2013 +0200

    Object: add getThumbnailUrl( ) method which fetch
    the thumbnail link from renditions list.

commit 97f44d66085e14fb85fbfb2cb3ad7e92cfc2db92
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue May 21 11:12:20 2013 +0200

    OAuth2: allows client to fetch the refresh token from a session

commit 3baa0c55ddc0f75f95cf8de2b415dcbc37ee7009
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Mon May 20 13:33:43 2013 +0200

    GDrive: some clean up, move const strings to utility class

commit 319441f3d94e33c8a96a4f1a9f2e2cb72853216a
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Mon May 20 03:48:32 2013 +0200

    OAuth2: access token expires in [expires_in] seconds,
    need to refresh it to get a new one

commit 0945b5b98252d4d1be96ab31a75df21b532a678e
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Mon May 20 00:48:02 2013 +0200

    cmis-client: allows using of OAuth2 refresh token

commit c68775892536f5f605f002c70a09007bab96431a
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Sat May 18 11:28:22 2013 +0200

    OAuth2: allow using of refresh token.
    
    OAuth2Data now allows client to use
    their refresh token to get access key
    directly without username/password

commit 1d185b4424ffcc0bf1d29e64155b59fc0abf2044
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Fri May 17 22:03:51 2013 +0200

    GDrive document: fetch thumbnail to renditions

commit 9a177b9e12b2f638404f612c72caa3be2c7524d5
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Fri May 17 21:48:37 2013 +0200

    GDrive move object: an object can have multi parents,
    
    The move function should replace only the source Id
    and keep the rest parents

commit b88bd4663b6ed347ed4454d0bad4f9b65a8d7b21
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Fri May 17 21:10:14 2013 +0200

    Move some methods to Gdrive utils

commit ba6416ad7855d9742135a1b838cc5563eef90ff9
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Fri May 17 20:08:30 2013 +0200

    GDrive: don't fetch trashed children

commit 1f45f8760d774fe4128ee01134ff6f52ed0fbb58
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Fri May 17 19:26:42 2013 +0200

    GDrive doesn't have a link to all children,
    we send a query to search for all files whose
    parentID is equal to the current folder
    to avoid using multiple queries.

commit dd26e9f41fa5aa131a46b2fe196cdb2206486693
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Fri May 17 14:12:11 2013 +0200

    Rendition: print to string

commit 9956accb1564e5953164a7f15c805803c08a2b4b
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Fri May 17 11:41:47 2013 +0200

    cmis-client: add support for streamId

commit ffbf74ba226a7e716d3689ca17a8556251527689
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Fri May 17 11:18:57 2013 +0200

    GDrive document: use mimeType to check if
    it is a Google doc

commit 07931cfb4b1ccc6f408ec1d9963dc5935079a05e
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Fri May 17 09:56:32 2013 +0200

    Add renditions support

commit 69009b73c525553f947d147cecdf8d4b64cb47f2
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Thu May 16 22:54:56 2013 +0200

    More Gdrive tests

commit db48572f8eca70bb79f81f50aac2d07a2d1a3a90
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Thu May 16 22:19:12 2013 +0200

    More Json tests

commit 180ef55a1befd3a18a9f6b8a3b592a82520c4dac
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Thu May 16 21:26:18 2013 +0200

    Gdrive: CMIS name conversion of cmis:description

commit 4f118e775ce31cbaaaa909ee2b91f9dbb7b2b5d9
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Thu May 16 19:46:36 2013 +0200

    property: default constructor should not be public

commit 4ca972d42472ecbf8e06e7302474d1735df5b381
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Thu May 16 19:21:55 2013 +0200

    Gdrive: set object type updatable

commit b841045e963257f8147110ff8022c741a71c201f
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Thu May 16 17:19:54 2013 +0200

    cmis:name and cmis:contentStreamFileName can be
    duplicated or not, better check before converting key.

commit 29a18bfbf9501675b535287a7756742ecf6ac1ce
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Thu May 16 15:29:02 2013 +0200

    move compability functions to a separate file

commit 13b127ab921444de24266707ff654dee7176c6ee
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Thu May 16 11:17:23 2013 +0200

    GDrive: Folder has one parent but Document can have multiples

commit cc04585cb8347945a8d3b605025063f99ca0f5d6
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed May 15 21:42:25 2013 +0200

    Google Drive doesn't support get object by path

commit f9a4c6f5a0b51e0057546ab69224073f25a1e8cc
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed May 15 21:33:34 2013 +0200

    GDrive folder remove tree

commit 925fadc037c31ef0ef77724e93f901e45b07713b
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed May 15 20:34:52 2013 +0200

    Missing move-object in client help

commit 8db5ddee5684ccdd0867da89c3ceb137e7000ec1
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed May 15 16:00:43 2013 +0200

    GDrive createDocument and CreateFolder

commit c8e1e7553b26ca0f3982dd048ee13e8b0ac287bb
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed May 15 15:14:49 2013 +0200

    GDrive move object

commit d8ba6350ebdd7ffcb95ee6cd3a0efcb9460ce94b
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed May 15 14:00:08 2013 +0200

    Gdrive Object: remove

commit 28572214556509295b09e1da45feb4c3835f8d06
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed May 15 13:17:29 2013 +0200

    Separate GDrive object type

commit 721e18b7cab53c1de8f5e030ac6cb21531772185
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed May 15 12:57:14 2013 +0200

    Handle json object when it's null

commit 1e9eb3f3bb40b211cdb29e79cbaa51216c175fd3
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed May 15 11:12:13 2013 +0200

    GDrive fixed: some folder doesn't have parent

commit ff9738006b65b94cde7105f392e1b07db93912f4
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed May 15 01:38:46 2013 +0200

    Fixed setContentStream fileName, Fixed updateProperties Url

commit 43da75bf9d19321623501effa5a0634230797b7e
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed May 15 00:42:34 2013 +0200

    separate Gdrive repository

commit d0cd11fafd9202afa3e03e5bf4c9217770ba17c0
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed May 15 00:20:58 2013 +0200

    Gdrive: getUrl() and getUploadUrl() to avoid redundant codes

commit bfc161949dabb998afa7d1ced4d594596ccec4fd
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue May 14 23:08:29 2013 +0200

    create Json object from properties

commit caf61096d1b37f3a9df16ae6a63fe1a6150e2cfe
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue May 14 20:57:57 2013 +0200

    GDrive object refresh

commit f200e755a5f4fc9ef217dbf688417638dee07e7b
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue May 14 18:19:31 2013 +0200

    Handle json type since libjson doesn't do it properly

commit 733276acaf78f033ffbad05128b99fb1d9e5c503
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue May 14 17:26:29 2013 +0200

    Avoid using namespace in .hxx

commit 74939ae4539f11fc6ebfd6e5737c090eda99f627
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue May 14 11:16:12 2013 +0200

    Some refactoring in Gdrive AllowableActions

commit 659712b20452c26db67fc0178e571d4d42ee8b78
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Mon May 13 20:51:04 2013 +0200

    GDrive CheckIn/CheckOut

commit 2ddfe2d145aa4e4a1b19e8df6da520188118d40b
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Mon May 13 20:02:00 2013 +0200

    set GDrive allowable actions

commit 38aa8e5c8fa005080b5a3329929a06b8c1893a7a
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Mon May 13 18:25:20 2013 +0200

    Extract the parentId from the parent list

commit 06a6635992e56fc62d9a947c6f20241ecc913e73
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Mon May 13 16:29:14 2013 +0200

    More GDrive tests

commit 6d45fe16cb79c496a0ecacd4bef91a8e7cfc4706
Author: Fridrich Štrba <fridrich.strba@bluewin.ch>
Date:   Mon May 13 11:51:45 2013 +0200

    Check for Windows on configure time

commit cc2aec888303eea547d0916ce7e025f20c1638d9
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon May 13 11:24:33 2013 +0200

    Revert "Fix linking of libcurl-mockup (why to dupplicate internal curl functions???)"
    
    This reverts commit 533307c86c59c8353ea62279bcfd6c9b13a98f3b: this links
    the mockup tests with the real libcurl instead of its mockup even on
    linux... and breaks quite a lot of tests

commit 4eb9e3ce42ed5c23fab48b27fab3195c6e42ea8f
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Sun May 12 23:32:44 2013 +0200

    GDrive test: more tests + refactoring

commit 3b6b3a17282bbdc34509b0a91dafa8ddc9036b12
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Sat May 11 22:24:39 2013 +0200

    Clean up GDrive test

commit 533307c86c59c8353ea62279bcfd6c9b13a98f3b
Author: Fridrich Štrba <fridrich.strba@bluewin.ch>
Date:   Sat Apr 27 11:48:46 2013 +0200

    Fix linking of libcurl-mockup (why to dupplicate internal curl functions???)

commit ec0c35ef460c0e6d315cb3c03b5542125568464a
Author: Fridrich Štrba <fridrich.strba@bluewin.ch>
Date:   Sat Apr 27 10:53:39 2013 +0200

    Fix linking on windows-mingw
    (cherry picked from commit 2682c3c0a03894a9e68bf9db9151cd03b1829581)

commit e75bd2548101b8681edf13ea085d62634b7668cf
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Apr 22 15:45:26 2013 +0200

    Init protocols should be done right after resetting curl handle

commit 6401443248d7ce9fad1b42bad291418d59f4a623
Author: David Tardon <dtardon@redhat.com>
Date:   Mon Apr 8 20:18:19 2013 +0200

    rhbz#918080 restrict the set of protocols for curl

commit 8e66145d204f7d053549b7cc28aef6863cfd38c8
Author: David Tardon <dtardon@redhat.com>
Date:   Mon Apr 8 14:07:23 2013 +0200

    rhbz#918079 always return 40 hexa digits

commit 581a2ea1693b572d9f0a9f3cf356064c9920f71d
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Apr 12 11:05:25 2013 +0200

    made libcmis_session_get... functions string parameters const

commit f711bfaf9e6f8bcc7b2bc54f9ed558ccf419c2b2
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Apr 12 11:04:34 2013 +0200

    Fixed WSSession::setRepository()

commit 3ebb532625ced11fa166cd6ac51505c539a8ee50
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Apr 11 09:21:35 2013 +0200

    added libcmis_session_setRepository()

commit dabad5febb2f6673a31dc4f0511759e08a6cfd6c
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Apr 11 08:35:36 2013 +0200

    Forgot unused parameter

commit 862a85f487903feef0335dd7ec55ef9ffc73b8c0
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Apr 11 08:31:24 2013 +0200

    Added Session::setRepository to allow choosing a repo without recreating the session

commit c461bde87188c88a59e775d9c62ceff7fbe47199
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Apr 11 08:30:43 2013 +0200

    Fixed GDriveTest::getObjectTest

commit 30f82b2ad56add3dab6799a8be4a5df9701a4ff0
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Apr 10 17:09:10 2013 +0200

    libcmis_session_getRepository returns NULL if no repository is set

commit 833a6d93bd05b83180a40a99800400e314eeb79b
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Apr 10 12:06:42 2013 +0200

    libcmis-c tests adapted to error API changes

commit 673619e4d8f46a61cd27431b586b27b9f93f8c62
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Apr 9 16:53:32 2013 +0200

    libcmis_createSession make sure we're not creating std::string from NULL

commit 1785bd837ad159f18588f470508627f127d42237
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Apr 8 11:25:55 2013 +0200

    fixed libcmis-c.pc to point to versioned libcmis pc file

commit 75801d0996e6b2b6bd4a1e3337f13a0b7149bf0d
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Apr 8 09:26:20 2013 +0200

    libcmis-c: handle possible bad allocations

commit bf8070dfed5532a96079e82c4083033365b0791b
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed Mar 27 19:36:28 2013 +0100

    GDrive folder implementation
    
    Conversion from properties to Json still need more work out.

commit e0e0653944ab164918b1f0c9a9b29007174d66b1
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Apr 5 15:23:55 2013 +0200

    libcmis-c unit test: fixed valgrind errors

commit 9c2269efd28d8520a281db1efaac383db07767d0
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Apr 5 14:39:53 2013 +0200

    Override delete operator to call free to avoid valgrind shout

commit 23b7a1ee873997f08094df43ade445d6eb07c537
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Apr 5 14:14:04 2013 +0200

    rhbz#918044: bad_alloc handling in libcmis_document_getContentStream
    
    To test bad_alloc, the new operator is overridden in test-dummies.cxx
    and uses a global variable to throw bad_alloc at will. Just pay
    attention that the test objects may also call new: temporarily switch
    the flag off in those cases.

commit c706615d560df583c48f526fb0ce280c05624cac
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Apr 5 10:27:53 2013 +0200

    Reworked libcmis_getRepositories
    
    to fix several issues:
      * a potential memory leak (see rhbz#918044)
      * no size was returned: so method not usable
      * create and use libcmis_session_getRepositories to reflect the recent
        changes in libcmis
      * transformed the Session::getRepositories result from list to vector
        to ease mapping in C wrapper and for more consistance with other
        structures used in libcmis

commit 0f7b1455a05136747740af8aa869af2b28593519
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Mon Mar 25 12:46:30 2013 +0100

    Rename PropertyListPtr to PropertyPtrMap

commit af54b07c1269f78de2389516e388d7c9ae05fb68
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Mon Mar 25 12:37:45 2013 +0100

    We don't have to use base64 encode stream for Google Drive.

commit 7a7d3f13751c7b0775edaeb510e5e8343d01e420
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Mar 25 11:08:07 2013 +0100

    Google Drive: document and folder types need to be mapped to CMIS types
    
    and are no arbitrary strings. Used cmis:document and cmis:folder for
    GDriveDocument and GDriveFolder

commit f65c6d1d49cd522b453d8a44244bd57c9bb1f821
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Sun Mar 24 19:15:40 2013 +0100

    GDriveObject::updateProperties

commit ae5698ad293d8f04506d932bf6229cc1e0bf631f
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Sun Mar 24 16:05:14 2013 +0100

    typedef map< string, libcmis::PropertyPtr > PropertyListPtr which is frequently used and too long.

commit 2bd907bc3c8bbc1bb4f32b6dd48980c71f3cf493
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Sun Mar 24 14:52:16 2013 +0100

    Add catch exception for http requests

commit c7399edab18997e455e665e5c3d9bebb616f3eaa
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Sun Mar 24 13:47:29 2013 +0100

    GDriveFolder::getChildren

commit 9ab98a3430749edc8bb918e8c1a81fcd8c130057
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Sun Mar 24 01:04:39 2013 +0100

    Dummy object-type

commit 65220f1dd916dcf97ebe5db51630870614473382
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Sat Mar 23 00:47:54 2013 +0100

    GDriveDocument::getParents

commit 14f894615208dedd9639b1e12bd297349be1843f
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Sat Mar 23 00:40:15 2013 +0100

    GDriveDocumenet::getAllVersion

commit d5803155ae8301b2a2328a02ee94a92dcd076a97
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Fri Mar 22 23:55:32 2013 +0100

    remove commented code

commit a2827304420a53281f1d0188810b7ab0657873f7
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Fri Mar 22 23:49:43 2013 +0100

    GDriveDocument::setContentStream

commit 0c5c977f782e3321c332ce6bae01297a6c6ef238
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Fri Mar 22 20:59:26 2013 +0100

    GDriveDocument::getContentStream

commit a9f74f1080c45a80423975a4f7f973c475a8d7a7
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Fri Mar 22 19:34:11 2013 +0100

    GDriveSession: search for "kind" property first to determine if it's a
    file or not

commit e3b18923c525ba23ee7649845a2f1f3ca9a7e0eb
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Fri Mar 22 19:16:45 2013 +0100

    gdrive folder skeleton

commit 140a22660561fd283a72c56a23ccc71b57f49495
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Fri Mar 22 16:44:09 2013 +0100

    getStringProperty( ) refactoring

commit 93f1fec03ef7ccbc430bdcadfe2e36de0825a90f
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Fri Mar 22 15:45:30 2013 +0100

    GDrive Document skeleton, fix Document::getContentLength( ) bug

commit 7b9cbc23fb056d42972e9bd4714fd2820e6753ad
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Thu Mar 21 16:50:24 2013 +0100

    Fix property names mapping

commit 2cb1f18d4638b3c70cc2b8af533ba849a354a888
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed Mar 20 18:53:49 2013 +0100

    Fix Json datetime type

commit d2a5963961df49de4c5725682a8c8a3ca13fb7cb
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed Mar 20 18:32:56 2013 +0100

    Fix OAuth2 append header bug

commit 78388176e832a6af1728e9428fad8df2d78d9a2c
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed Mar 20 17:49:18 2013 +0100

    Push dummy repository in Gdrive Session.
    Add default constructor in GdriveProperty.
    Simplify json test file.

commit 1f3d81ca2e9fd303b50d5cad0ba825906e4cbddb
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed Mar 20 14:40:05 2013 +0100

    Move GDrive specified code to its classes from base classes.
    Some minor refactorings in test.

commit 2b3da04277b69140f86642e7a3df47fdde628c2c
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed Mar 20 10:00:35 2013 +0100

    Typo fix

commit cba5023e6f7a542797cab52692039b1f7234f9df
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed Mar 20 09:50:41 2013 +0100

    Using a DummyRepository class instead of a dummy constructor

commit d901838bd98b9c64b4d0eaeb079e9f1ff61ae631
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed Mar 20 00:29:23 2013 +0100

    Dummy repository

commit 01dc2dd4d9983a53bfa9a0d9d9e1ee1f650ab631
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue Mar 19 21:09:45 2013 +0100

    GDrive Object creation implementation + test

commit b689104e6bea33cbf277089f359064fcad08f9d2
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Mar 19 16:03:39 2013 +0100

    GDriveSession: silence the HTML parsing and make it recovering errors

commit dd5d309358a75fd1f2f50e12e623bbd4aba0b434
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Mar 19 15:55:47 2013 +0100

    GDrive, skeleton of GDriveObject to start to implement

commit acd39fb53e8fb9d40dde9d2a4ec88ea6f777f49d
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Sun Mar 17 23:43:44 2013 +0100

    Pass oauth2 informations as arguments to Gdrive session instead of using predefined string.
    Use xmlTextReader instead of xml tree

commit d26dbbf2b4c26594937c5920d43ade819a2d28da
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Fri Mar 15 20:36:49 2013 +0100

    Using libxml2 HTMP Parser instead of manual parsing

commit 849bc7c282dda4a3262d0f7f8f256420f5ed01b3
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Thu Mar 14 20:44:42 2013 +0100

    Move cookie handler to base-session, just activate the curl cookie engine is enough.

commit 179a561e74d58070384d1f8e8544269d345167e4
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Thu Mar 14 19:14:12 2013 +0100

    GDrive Session:
        - Parse all the input values of the response page to post instead of just necessary one.
        - Update mock test, check for post requests.
    Base Session:
        - Move follow location to httpRunRequest
    OAuth2 Hander:
        - Modify exception message

commit 51547efd058e6db15aa4c57894aa214aa506f59b
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Mar 14 16:38:38 2013 +0100

    Mockup test: moved the atom data files in their own folder

commit 5529dc2f364c7ffe5c4ee5d5225ca3e0c4492a5d
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Mar 14 16:08:42 2013 +0100

    Moved AtomTest::deleteTreeTest to mockup tests

commit 473f90b8b9689bc1dc182014ffd57e17f1fde35e
Merge: b17f620 8bd63be
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Thu Mar 14 00:36:38 2013 +0100

    Merge branch 'master' of ssh://git.code.sf.net/p/libcmis/code

commit b17f6203f9219c60fa780c66dca59288b15e3284
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Thu Mar 14 00:34:46 2013 +0100

    Gdrive oauth2 session mock test

commit 8bd63be8bd6d43d0b287847bacd66ce0020b16cb
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Mar 13 11:32:48 2013 +0100

    Made auth2Authenticate throw CurlException and catch it
    
    in order to help handling the problems when sending the HTTP requests:
    can be wrong client_id / secret_id, but also any network problem: we
    shouldn't obsfuscate the error message.

commit 14099216e44894250ac5dadf7a0cb5f133bb16f2
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Wed Mar 13 00:25:40 2013 +0100

    Handle exceptions of bad username/password, bad client ID and bad client secret

commit e033e0ed7d07e36ec1fc51d12215ea83d114e06d
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Mar 12 11:55:46 2013 +0100

    cmis-client now prompts for username/password if those are missing.
    
    The password is still shown on the console (hiding is varing with the
    platform/OS), but at least the password won't be in the shell history
    this way.

commit 0a2e70014064ed507495a4148d8207a74385f35c
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Mar 12 11:34:06 2013 +0100

    Added oauth2 options in cmis-client documentation

commit 656b4292deb42c7038d766fa4a3ac3d58a7fd58f
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Mar 12 11:23:41 2013 +0100

    BaseSession: make sure the credentials have been completed before using them

commit 7f0f541cc8abbb9106a9b0a32c64538c0cd444e0
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Mar 12 10:46:06 2013 +0100

    Added GDriveSession creation in the factory.
    
    The binding URL to use to create the GDrive session is:
    https://www.googleapis.com/drive/v2

commit 24ed5ae02d0b261eb3a45e120c8872f6b501dcc9
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Mar 12 10:45:31 2013 +0100

    Cleaned up the code and comments in GDriveSession::oauth2authenticate

commit 8138ef0d0c57f4c1e1d19141e8da73fac64fac37
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue Mar 12 10:29:16 2013 +0100

    search for GALX cookie instead of the first cookie

commit 3aa216342aed61ee7e62f6a6acbf0e0f319cd8ec
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Mar 12 09:50:18 2013 +0100

    Removed the OAuth2Data authentication callback: was moved to BaseSession

commit e1d03a8b5c4ac2dba8dcbc609246e73fedb185ec
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Mar 11 17:59:01 2013 +0100

    Moved deleteDocumentTest to mockup

commit 1c04ed10741e806fda4cebb09a77cb2feec1f3e8
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue Mar 12 09:19:03 2013 +0100

    Fix the return authCode (should have used strcpy)

commit 4946a8d03d4af3914565d99831d83bfffcb9711a
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Tue Mar 12 00:02:33 2013 +0100

    GDrive OAuth2 is now automatic. The HTML response pages are parsed from tags (Google can change the form some day).

commit cd73c40023fa1e584f7ba905e990b5728600deb8
Merge: 7cc4b6f 4ee6044
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Mon Mar 11 18:21:00 2013 +0100

    Merge branch 'master' of ssh://git.code.sf.net/p/libcmis/code

commit 7cc4b6f5486a24a4a6e85efed259eb7d2d16cbc4
Author: Cao Cuong Ngo <cao.cuong.ngo@gmail.com>
Date:   Mon Mar 11 18:15:46 2013 +0100

    OAuth2: went to the approve page, still have to parse the HTML to get the code

commit 4ee6044fc806523c2a6d5f207011fb3257b1946a
Author: nccuong <cuongnc2412@gmail.com>
Date:   Mon Mar 11 18:15:46 2013 +0100

    OAuth2: went to the approve page, still have to parse the HTML to get the code

commit e4412ae688212bf1b6ab1b13afa4fe2e80d6ed49
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Mar 8 15:15:41 2013 +0100

    fixed build error: missing *

commit 410db26bc197e74387141322526e4685f1026321
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Mar 7 15:29:09 2013 +0100

    Add OAuth2 HTTP header if OAuth2 authentication succeeded

commit b9c2bc5b45fc4e14d5939b1e3012ba2139d26580
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Mar 7 10:24:55 2013 +0100

    BaseSession: add the headers only in httpRunRequest

commit 60fcbac7d43f4c2c6d71e184a4abf02f469dfe4e
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Mar 7 09:23:53 2013 +0100

    Removed debugging couts

commit 07efd2231c1346b400a3c89d3226e92a210b5200
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Mar 7 09:21:37 2013 +0100

    Initialize OAuth2 after curl handle to avoid crashes

commit 43b242651a65714a729a8615ad35dc59f16aa6c2
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Mar 6 19:49:10 2013 +0100

    Rename scopes to scope everywhere as OAuth doc mentions scope

commit e44ab9c92ac23d61211645912d5c5b063f4013b3
Author: Cao Cuong NGO <cao.cuong.ngo@gmail.com>
Date:   Wed Mar 6 17:38:34 2013 +0100

    Google Drive implementation start
    
    Started implementation of GDriveSession class and corresponding mockup
    unit tests. Added code to handle OAuth2 at the BaseSession level to
    benefit all bindings / protocols. This needed some small refactoring of
    the existing code.

commit 75236d120d665198ce23eb7b06ab38c55467a5db
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Fri Mar 1 01:49:37 2013 +0100

    prevent warning
    
    prevents
    error: ignoring return value of 'size_t fread(void*, size_t, size_t, FILE*)', declared with attribute warn_unused_result [-Werror=unused-result]
    with strict CFLAGS (although this is a false positive anyway right now)

commit 7cc784f74358dece8440db227e0d460ceafe53ac
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Feb 13 18:45:03 2013 +0100

    AtomFolder::createDocument fix: use Location header if needed
    
    The specification says the created entry is returned as a URL in
    Location header. Thus the priority to get it is now:
      - try the response body
      - try Location header
      - try Content-Location header for Lotus Live

commit 1b571d0ae214dbae0f8b19d7d46a37dd0bcec873
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Feb 13 16:00:45 2013 +0100

    Added ObjectType::getBaseTypeId() and getParentTypeId() for perf reasons

commit c3ba5475fc46dba9fa412c75fe622cf4d724160a
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Feb 13 08:37:43 2013 +0100

    AtomTest::createFolderBadType moved to mockup tests

commit 61d74599e8db5a739c559abcd43e4ce387e44fe1
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Feb 13 08:10:24 2013 +0100

    AtomTest::createFolderTest moved to mockup tests

commit 53f06102a1613dc4ccc660c278a778b581393a21
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Feb 13 07:40:30 2013 +0100

    Atom: fixed the error type for the 404 returns to be objectNotFound

commit f86585cb41f79c9928adb480f06699cb23da6272
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Feb 12 15:46:03 2013 +0100

    Atom GetChildren allowableActions is not sent by Lotus Live
    
    In that condition, getChildren() should raise an exception only if
    canGetChildren is not allowed and defined.

commit 3b17d146de8802feec25e7c6fd2080c097e8da46
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Feb 12 15:20:15 2013 +0100

    Atom: when we have no allowable actions, try to get them
    
    Some servers like Lotus Live aren't providing the allowable actions in
    the object entry in all cases. Then we need to fetch the allowable
    actions in the other way even though it adds one more http request.

commit ecd344d1000c4a3467868e794f00a4c6780b0910
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Sun Feb 3 19:47:22 2013 +0100

    Moved atom updatePropertiesTest to mockup

commit f134d1be356d44f870cb23d8b36a71a398e20413
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Feb 1 17:36:10 2013 +0100

    Moved AtomTest::setContentStreamTest to mockup tests
    
    This required to add support for testing the PUT / POST requests in the
    CURL mockup. The general idea here is to get the request body that was
    sent and see if it matches the expectations.

commit bc6f355317040368dcbac21571b5d472fb56670d
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Feb 1 11:18:01 2013 +0100

    Moved AtomTest::getContentStreamTest to mockup tests

commit 0790d8be5ea695e1d4bc168b176970f8fe0c7a2c
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Jan 31 10:27:14 2013 +0100

    Moved getChildren and getParents atom tests to mockup tests

commit 6e6a0f1b25baadc7c775370b7750989412062986
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Jan 30 10:34:03 2013 +0100

    Moved atom getAllowableActions test to mockups test

commit 25491d48475cfb870e79e5cba5afd216c10e66c9
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Jan 30 10:28:25 2013 +0100

    Added allowable actions to Atom object responses

commit 39b0ec2c8d42798c95f44287eaa07aab853ed2cb
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Jan 29 22:38:01 2013 +0100

    Bumped version numbers for 0.4.0

commit 4dcc2f3a92326a2245c77e2f96c27048e5cfe970
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Jan 28 17:28:27 2013 +0100

    Moved Atom getByPath tests to mockup tests

commit 0f551a749e5c5655428691189cae3d72b69c5250
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Jan 28 17:07:38 2013 +0100

    Moved Atom document and folder creation tests to mockup tests

commit 1ba6d0da01db197f73570db1c6c3e917c5e32996
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Jan 25 15:57:06 2013 +0100

    Moved AtomTest::getUnexistantObjectTest to mockup test

commit 70c5ffdc0b7c73b787fc9a40c1ac098390eb60d3
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Jan 25 14:40:57 2013 +0100

    Moved all Atom types tests to the mockup test

commit 31cca296a3175a645832ea4329cd0ad7bfacd0f6
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Jan 24 22:48:26 2013 +0100

    Moved AtomTest::authCallback to the mockup test
    
    While moving the test method around, I discovered that the previous test
    wasn't correctly working as it should have failed earlier (when getting
    the services document). As InMemory required no authentication to get
    this document, it was working, but this isn't always the case.
    
    In order to fix this, the setAuthenticationProvider had to be moved to
    the session factory level and turned static. This way the same provider
    is used for all sessions and the auth Provider can be used within the
    constructr without adding one more parameter to it.

commit ba8a6e400ae778cbfb68d2b5acf91b9033f010ba
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Jan 24 10:12:12 2013 +0100

    Remember if we should output Expect: 100-Continue to save HTTP requests

commit 473817890e25b3b57fd6d573e3122df0bde51306
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Jan 23 13:37:33 2013 +0100

    HTTP 1.0 proxies may reply with 417 error due to 100-Continue
    
    In such cases, disable that header and try again (only for POST and PUT
    methods)

commit 4343a5383997795b133dc16eeb0f24f0d47af67a
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Jan 22 14:32:36 2013 +0100

    Proxy support: keep API compatibility with older versions of libcmis
    
    The tests for the proxy feature required to move the cleanup of the curl
    handle at the beginning of the request creation (or we couldn't test
    anything).
    
    This commit also fixes the curl versions: the values need to be
    real hexadecimal.

commit 94375caf5c6819aa0e28061765fc76ed435bcd60
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Jan 17 15:52:46 2013 +0100

    Added poxy settings to session to override the system config if needed

commit d605a7238df9fdb43457314c06cc84726d8dcadd
Author: David Tardon <dtardon@redhat.com>
Date:   Wed Dec 19 14:39:11 2012 +0100

    allow setting of DOCBOOK2MAN on configure cmdline

commit 70f38c73fe5c401d759124487190477aaafb47ef
Author: David Tardon <dtardon@redhat.com>
Date:   Wed Dec 19 14:35:49 2012 +0100

    rename DOCBOOK2X to DOCBOOK2MAN

commit 7312c4479570de63e098177acf5f04b50c486a0d
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 15 08:40:28 2012 +0100

    make the man page valid docbook

commit 836936b8a6e9cb64bffccd5101b9800a9883d1d8
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Dec 15 08:36:48 2012 +0100

    add public and system ID to doctype

commit e8d97b0b2f085c07aeee37cd79f956c9d94f4a6a
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Dec 17 14:47:31 2012 +0100

    added licence header in shell scripts

commit 9a5861bb9c76a55abdcfc3139136c5aafcc8886c
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Dec 17 14:45:18 2012 +0100

    added a sample populate.sh script to push a local tree to a CMIS server using cmis-client

commit 451b239a49995f81d8526c68b080eb3f2c70b3b5
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Dec 17 14:44:37 2012 +0100

    fixed typo in cmis-test.sh

commit e6e80350b8f31b749e328aabc2cd172e79c16d6c
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Dec 13 16:15:34 2012 +0100

    coverity: cannot use content of temp. var. as return value

commit fd9702d002988b797803ed489081bc7d192b67b1
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Dec 13 15:46:38 2012 +0100

    coverity: only libcmis::Exception is allowed here

commit c6b4e5a52774ec90db8b0f43777d5f4e97ec5ea3
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Dec 13 15:37:12 2012 +0100

    coverity: only throw allowed exceptions

commit 5b2f0d83f8aa68c6d197c0cb0cad9a06218f5d75
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Dec 13 15:32:25 2012 +0100

    make sure there is enough space for filled-in credentials

commit 5d90791053460d9604d080262cc84136a352cc67
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Dec 13 14:53:17 2012 +0100

    coverity: actually _do_ the reading in a loop .-)
    
    The current code amounts to one-time read+write (in a block), followed
    by a potentially infinite loop with empty body.

commit 4958952e4a018361194c54d635ffe5f595a0f5c7
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Dec 13 14:31:06 2012 +0100

    coverity: check dynamic_cast result for NULL

commit 95b2038afbbf84d6d4dd566912722055207ecfe7
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Dec 13 14:27:52 2012 +0100

    coverity: check dynamic_cast result for NULL

commit 30d6ff829b8ab171aa673c0e812b0d89ac9b73a3
Author: David Tardon <dtardon@redhat.com>
Date:   Thu Dec 13 14:09:45 2012 +0100

    coverity: sizeof(ptr) returs size of the pointer

commit 7e3a48fc047de9ddd3de4cf3fe1e368245b6b754
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Nov 30 17:21:31 2012 +0100

    cmis-test.sh: a tiny step further

commit 2e76ab11c630f93596c745727eab07e3577c481e
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Nov 30 17:19:37 2012 +0100

    Mockup: started moving the getType and getObjectType tests

commit 802390b96f77c54e3ee25c9b6d6ad86dae8c555b
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Nov 30 09:13:21 2012 +0100

    Oops, forgot to git add mockup-config.cxx

commit e59d87191a76e38956c57887177bd0765f47aeb2
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Fri Nov 30 09:00:00 2012 +0100

    Fix printf format error for i386

commit a1ca9414c2a757a5df62abfe51c8736ee0218629
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Nov 28 11:44:59 2012 +0100

    mockup: migrated AtomTest::sessionCreationTest() and added a bad auth test

commit 4c2eece3b195927d5a725c6f70b9e76ae4e5e511
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Nov 28 11:44:27 2012 +0100

    Oops, pushed a binary result by mistake

commit 38bd015cd04c8ff294f5ff7c491e002c0c67eff3
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Nov 27 09:50:25 2012 +0100

    Moved libcmis-mockup to mockup

commit 24c7c551d82b9f8e20276c5f4127774514e0b74d
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Nov 27 09:34:40 2012 +0100

    Remove AtomPub getRepositories test: moved to mockup

commit a01fda2642d63a58aa97f48135bf0e01d770f381
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Nov 27 09:33:24 2012 +0100

    Mockup: added getRepositoriesBadAuth test

commit 9005604ab2de4030ec9f53eec2f8c02d14e9c3a8
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Nov 27 09:32:19 2012 +0100

    Missing equality check in BaseSession::operator=

commit 8837275b38d496f3f92ae5d12be88ce5b70bb286
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Nov 26 17:26:15 2012 +0100

    mockup test: not a POC any longer, so change names

commit c55c8e364fbc6d1dfaa85c96fb6fe1db698e583c
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Nov 26 17:11:02 2012 +0100

    First simple test with mockup is working

commit a6d42ec9c55e8eab6e5cf2e7dbd1421a0ea1f7e6
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Sat Nov 24 22:52:19 2012 +0100

    Started to create a libcurl mockup to have better unit tests

commit f2d21a2336b0a3203243717b0c9f6b7338a4b8ad
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Nov 23 23:49:33 2012 +0100

    Extracted tests in qa folder

commit 90dc202e5cb5d80b73c40145dcac792bfc5dabbd
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Nov 20 16:58:57 2012 +0100

    Started implementing a shell script to test all operations on various servers
    
    The goal of this script is to have on test scenario to run against
    various servers to spot the server-specific implementation problems.

commit 7cc3c8205652e1be4c231b0bb6c3a0562a4403b7
Author: Frederic Bor <frederic.bor@grouperocca.fr>
Date:   Mon Nov 19 16:55:24 2012 +0100

    Some optimizations related to createDocument

commit 632b671e46cfc50318ee58c684975551c2d9132a
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Nov 15 13:52:06 2012 +0100

    parse dateTime now handles invalid strings

commit 16fa14ee9c328b1d3d67e2e7e5915ad65bb86f51
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Nov 15 13:10:35 2012 +0100

    Some more NULL pointers verifications

commit 6e89f59e373da814a970ee22f5049274c5bbedbb
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Nov 7 13:57:02 2012 +0100

    Soap binding: safer <wsse:Expires> content output
    
    Getting a char* from a temporary string object isn't a good idea as we
    aren't sure what the pointer will point to later.

commit 2965de85c937be11dfbed6c3c42b96b46720ac85
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Nov 7 10:04:32 2012 +0100

    WaE: fixed warnings reported with gcc/g++ 4.7.1

commit b217ee82214edbd84bce27953eae342686289e41
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Nov 6 17:05:46 2012 +0100

    Added some checks for NULL values

commit 5463c8444e1fe41b22af1c9db9132ef3fee5e43c
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Sat Oct 20 18:44:03 2012 -0700

    Print allowable actions in toString if possible

commit d245ad91d964a66880b40359a4335c4ec61f7556
Author: Luboš Luňák <l.lunak@suse.cz>
Date:   Mon Sep 17 14:51:51 2012 +0200

    Prevent clashes with some windows.h definitions

commit 15194151431ce9af7f2d9881422897881b242807
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Sep 17 14:04:12 2012 +0200

    Fixed some more warnings

commit 0348a0b77aad18a871cb4179a6a001f868ee2aa4
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Sep 17 10:09:36 2012 +0200

    fixed cppcheck errors

commit 0b60c1e4dde7d82ff707c560132454df6a5a8c0e
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Sep 14 10:03:57 2012 +0200

    Raise more warnings and fixed them

commit c20c3531175677c242c49c68011a37cfee898750
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Sep 14 09:32:10 2012 +0200

    Forgot to remove now useless files

commit f0903b355ec26d218833525c41ec235737811be1
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Sep 13 14:06:08 2012 +0200

    Updated NEWS

commit 3122aa64eb0bca31bbba3973aa1db686b0691f3b
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Sep 13 13:42:35 2012 +0200

    Add Document::getAllVersions and its unit tests

commit 6dc474e9e7422609ff9038f2c391a831d46f0c90
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Sep 12 16:22:00 2012 +0200

    fixed libcmis-c library name to be libcmis-c instead of libcmis_c

commit b2b0f7b2d238386d286dbde96401eb633b93f332
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Sep 12 14:07:48 2012 +0200

    fixed make distcheck: clean some files and fix the libcmis-c build

commit d0c5f6df9352f3bc3e46c833473c06c862afa37d
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Sep 12 10:49:36 2012 +0200

    fixed run-test.sh execution in make distcheck

commit 1f5d6de81801573620712f10bb6b536ad0ba7aaf
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Sep 11 17:06:23 2012 +0200

    bumped -version-info to 3:0:0

commit 932ef9bfd0b338e73f95a8a9281406e0529ca59d
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Sep 11 16:34:55 2012 +0200

    Completed NEWS file

commit 12a29492172a34ff6ed07ea22b8c14bb88105d17
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Sep 11 16:17:47 2012 +0200

    Added filename to the content stream operations and fixed SharePoint checkin
    
    SharePoint checkin requires to have no stream in the checkIn call, but
    set the content stream on the PWC. If we get that exception, then try
    out the SharePoint way to do it.
    
    Added the filename parameter in createDocument, setContentStream and
    checkIn as I first though that may fix the SharePoint problem.

commit b12d470a2fda1fff14cf56b50c5418427adfe045
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Sep 10 17:40:03 2012 +0200

    cmis-client fixed checkIn: the file wasn't properly provided

commit b3c2fb5b0ac7dd3db96a1f571fde243ac895b13f
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Sep 10 17:38:36 2012 +0200

    API fix: checkin needs to return a document
    
    Some servers like Alfresco have a different ID for the object with the
    new version.

commit b628d6c321459a4ead9e07a6672fe306e5c4fa8c
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Sep 10 15:01:41 2012 +0200

    url-decode the part id in xop:Include href attribute

commit 34c3400aa67d1d6e32e9e4c53dff39ea9a91abd2
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Sep 10 14:06:34 2012 +0200

    xcmis.org sends back text/xml responses to Soap requests... support them now

commit 6744da06a787081ea26bedb95a87f60aefc4e197
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Sep 10 13:39:02 2012 +0200

    Fixed obsolete comment

commit 888c9385d582631455f58b741331c4ec87da9f58
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Sep 7 18:44:40 2012 +0200

    Fixed multipart/related parsing received from SharePoint

commit fb0182e93eba9105d5fab23b282d5a389770b6a5
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Sep 7 18:25:49 2012 +0200

    Fixed RelatedMultipart for SharePoint to parse it properly

commit 42e09dbfb55d6b1ca046fba51e3e275dd2d69e1c
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Sep 6 17:53:44 2012 +0200

    updated NEWS file

commit 7151924bd1b548a97c5329d3e5766ddf7038ad7e
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Sep 6 17:45:47 2012 +0200

    SessionFactory: got rid of that stupid param map for creating sessions

commit edaf7ffe17b3979469789f706b7e7cf899990e6f
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Sep 6 17:15:17 2012 +0200

    Make the -r parameter optional if there is only one repo on the server

commit 6189752de75f760a76b6b502fabb65f696bd0e56
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Sep 6 16:39:04 2012 +0200

    SessionFactory now can decide alone whether to create Atom or WS Session

commit ecc21a39219d0c81e212ff190d28d205a3f25451
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Sep 6 13:51:31 2012 +0200

    WSSession: turn all services into members to avoid creating them often

commit 50d644e2092e3bb34dfd3b85c26c661e2531955d
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Sep 6 13:39:41 2012 +0200

    Implemented WSDocument::checkIn and its test

commit d253fce091467ec6b7187055ab6d61345d0ddf1e
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Sep 6 11:31:00 2012 +0200

    Implemented WSDocument::cancelCheckOut and its test

commit 766e075732786c92220131eab8eaca80db6d4819
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Sep 6 11:19:03 2012 +0200

    Implemented WSDocument::checkOut and its test

commit dd8bdad46b08663b9473a4cc99bdc91ec3a0905e
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Sep 6 10:35:21 2012 +0200

    Implemented WSFolder::createDocument and its test

commit 79f80cdaba18c7e1dee35e217064321524466875
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Sep 5 17:52:40 2012 +0200

    Implemented WSDocument::setContentStream
    
    The common part to send a document stream is in a writeCmismStream( )
    function so that it could be used by createDocument and checkIn.
    
    Fixed the RelatedMultipart parsing to strip the '<' and '>' of the
    content-Id's in case there are some as this would prevent to match
    thexop:Include href and the corresponding part.

commit 5d98e9473acc3129b3b778ed3cc7c4f03151d1c4
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Sep 5 10:27:10 2012 +0200

    Implement WSFolder::createFolder and is unit tests

commit 2c399e3ad9e56edbda80b8b703ada1cd1ce24f1e
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Sep 4 17:05:15 2012 +0200

    Implemented WSFolder::getChildren( ) and its test

commit ea24f5d4d7cdff7f33215ffce7d18f72971a6bd7
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Sep 4 15:59:38 2012 +0200

    Implemented WSDocument::getFolderParents and its tests

commit d96a641f4e7fd2355e446ac7ffa6263d897fcd0c
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Sep 4 14:44:55 2012 +0200

    Implemented WSObject::move and its test.
    
    NB: the unit test fails due to WSDocument::getParents not being implemented ATM.

commit a7ec3188863f5c6feeabc7d263a668c15bcafad1
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Sep 4 14:03:17 2012 +0200

    Implemented WSDocument::getContentStream

commit acc5f2fd928169681caa21735a8485acee04cdda
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Sep 3 17:37:08 2012 +0200

    WS binding: implemented getObjectByPath

commit ad742f453d5e251dd9444a45bdef3c18385d8bb4
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Sep 3 10:53:00 2012 +0200

    WS binding: implemented Folder::removeTree

commit 297cf8add3b3814f321aad8dec22c09c09271cbd
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Aug 31 17:18:32 2012 +0200

    Added WSDocument creation in getObject and the corresponding tests

commit 1c25e90a5181263d2a96abf6e17f15254677292c
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Aug 30 17:07:18 2012 +0200

    Added WSFolder and created it in getObjectResponse

commit 9f75e2e61bd772b083380bdf41aeb4eb43d81bc6
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Aug 28 16:22:21 2012 +0200

    Moved common parts of AtomDocument and AtomFolder to Document and Folder
    
    This is to prepare the arrival of the WS Document and Folder
    implementation.

commit b9459e85ae7a4a91dbde202f77bd3cddfae2a427
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Aug 24 11:46:04 2012 +0200

    WebService: implemented Object::remove

commit c8a6957c81a908c420a6562c1ed4a5fbf621712f
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Aug 24 11:13:57 2012 +0200

    Object::updateProperties: update with the properties given as parameter
    
    This will fix the API problem forcing us to push all the properties of
    the object during updateProperties (even the ones that didn't change).

commit 121cd97f661aa92c9080666e43cb92e8ee38b3ee
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Aug 24 07:40:13 2012 +0200

    WebService binding: implement updateProperties
    
    The Object::updateProperties( ) API isn't really good: pushing all the
    object properties to the server may have some bad aspect. For example,
    when adding an unchanged cmis:name to the request, the server may try to
    rename the object with the same name... and throw an exception.

commit 1fafc8cb21515166c2784dd1793858cedccda556
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Aug 22 09:16:27 2012 +0200

    Object::updateProperties should return the updated object
    
    Section "2.2.4.12 updateProperties" of the CMIS specifications says that
    the returned object may be different from the input one... we need to
    reflect this in the API as well.

commit 9f4c39ffb74ecccc3af38315a3270d511504ea1f
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Aug 20 05:13:10 2012 +0200

    Added unit test for WSObject construction

commit c1df131ec7ea5313547bd8f1722b0e4610f0119e
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Aug 20 04:51:53 2012 +0200

    Object: merged the m_session members of Atom and WS classes

commit 4436c0e06941d374c464ebe8395e14d8278d79f2
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Aug 17 18:15:11 2012 +0200

    WebService binding: added ObjectService and WSObject
    
    Started AtomObject refactoring to extract the common bits

commit 5ab06c01aa58569e6f6c0edd61d4f8e321269d28
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Aug 17 16:44:12 2012 +0200

    Soap binding: added getTypeChildren and its unit test

commit 51ba78dfae5d82b97031cb7bf5aa43728a27e361
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Aug 17 14:31:20 2012 +0200

    Added C wrapper and unit tests for Object::move

commit d23da90759923bcddf7fe330f6df02c4d81e13ba
Author: Alexander Slipchenko <slipchenko.alexander@gmail.com>
Date:   Thu Aug 16 18:29:13 2012 +0300

    implementation of moveObject service

commit 57b5ed7ce1111d1065718de2a6e67aaaaa0d7eb9
Author: Alexander Slipchenko <slipchenko.alexander@gmail.com>
Date:   Thu Aug 16 17:51:45 2012 +0300

    fix extractInfos.
    
    extractInfos did not overwrite object state from the given xml - this
    causes problems for e.g. the move functionality because parent and path
    should be updated from service response.

commit e3a97126787fb722119819086068d62281e8f898
Author: Alexander Slipchenko <slipchenko.alexander@gmail.com>
Date:   Thu Aug 16 17:40:47 2012 +0300

    interop with xcmis: ignore spaces in link type attribute

commit 4aaaf87891ddfdef4fc443b163c7cd05b40c92de
Author: Alexander Slipchenko <slipchenko.alexander@gmail.com>
Date:   Thu Aug 16 14:34:55 2012 +0300

    fix Cloudoku too many redirects error

commit 64e9060c0cefef22277c1d69908ac5ed57d69ee1
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Aug 17 10:19:28 2012 +0200

    WS binding: added the getTypeDefinition implementation
    
    This needed a code refactoring to get the common bits between Atom and
    WS bindings.

commit 5d1f22b3b3a70bc1f2fb0e3d41144344bbf143df
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Aug 16 12:32:51 2012 +0200

    tests: don't download the server pieces if we don't need them

commit 39dfe01cf28007010bf3257c23ec6268e2a77ceb
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Aug 16 12:08:53 2012 +0200

    Testing: allow to disable the tests needing a running server only
    
    This will allow to run the unit tests that don't need the running server
    during the packaging process and run the others during the development
    process.
    
    See the --disable-long-tests configure option

commit 8a91b159e20d8050c366bd36fb4de194397e5770
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Aug 16 11:05:21 2012 +0200

    Added a type string to libcmis::Exception
    
    Getting that error type from the AtomPub binding isn't easy as some HTTP
    status codes are mapped to several exception types, but this is used in
    the WebService binding.

commit 59278289168ebf69a083e5666b40ca284e9c3b02
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Aug 13 11:15:45 2012 +0200

    libcmis-c: forgot libcmis_folder_getPath unit test

commit 08c9bd67ad5d7ea28f2b547c50d54bbe52d8c70f
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Aug 13 11:13:31 2012 +0200

    libcmis-c: added document and folder casts from object

commit 688a4ffbf9bdfde3743aba54778fa023bea4fb0b
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Aug 10 18:02:24 2012 +0200

    libcmis-c: added folder createDocument and its unit tests

commit 90d0ad8826d6cb261f1879fa28a53c2ce0ca6c68
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Aug 10 17:43:30 2012 +0200

    libcmis-c: added Document checkin and its unit tests

commit f961a15f1449a1ad27f78aba69a86cf66066f599
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Aug 10 17:11:47 2012 +0200

    libcmis-c: added document setContentStream and its tests

commit 1f0809297e9f3fb057b1c3c39c15c0eba35aea74
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Aug 10 15:40:36 2012 +0200

    libcmis-c: added document getContentStream and its tests

commit 18d43c4afcaae3fd043da5079abd37f9156287ac
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Aug 10 11:57:00 2012 +0200

    libcmis-c: add document without stream support

commit 91a3dc3389610baa5d223a545bf535decf76990b
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Aug 10 10:23:37 2012 +0200

    libcmis-c: added extern "C" blockon headers to link from pure C code

commit b6e8f77eb99760c4aa58afdcfd145872749e8b36
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Aug 10 10:22:59 2012 +0200

    Build silently if AM_SILENT_RULES is defined

commit bb551a9084f093ba22abfb5b3355414420e21605
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Aug 9 18:15:56 2012 +0200

    libcmis-c: test compilation and link in C
    
    Refactored vector types names while fixing them for C compilation

commit 4b2a84ad0a2eb2fbf976555ec6551d5c8bc96ee1
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Aug 9 16:33:06 2012 +0200

    libcmis-c: added folder unit tests

commit 6d77ff9fb8ac493d118b2e001648a1a07a2812ea
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Aug 9 12:22:06 2012 +0200

    libcmis-c: added unit tests for object

commit 1ba2d9dd53d88c13578a3fe6e7a85bc663425b24
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Aug 8 17:15:07 2012 +0200

    libcmis-c: copy the strings, and have them free'd
    
    This will help libcmis-c to keep indenpendant from the string management
    of the libcmis implementation: each time we give a string to the user
    it's strdup'ed, but the user needs to free it.

commit 2026b382244dbdbf75dd48cdb5ef6720d8f30d08
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Aug 8 17:03:02 2012 +0200

    libcmis-c: added unit tests for AllowableActions and ObjectType

commit b7101af8d5ed14d8f397b40c19463a3e639bed89
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Aug 8 10:42:18 2012 +0200

    libcmis-c: completed unit tests for property

commit 8c7af53b077f27a0d83a742859bdfa7d8bc5f3d0
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Aug 7 18:40:31 2012 +0200

    libcmis-c: added unit tests for property
    
    Added libcmis_vector_* types to ease handling the mapping of vectors to
    C

commit be45299327728ce7eb7e84c67c508c809ab56890
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Aug 7 14:32:01 2012 +0200

    libcmis-c: unit tests for PropertyType

commit 9b0b07292e0f8a411edd305e7ed456802f6d4231
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Aug 7 11:17:56 2012 +0200

    libcmis-c: added foundations for Document

commit f5f788f513461a261a2a9e060b2fee28f624af26
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Aug 7 11:16:48 2012 +0200

    libcmis-c: added unit testing for Repository

commit a68ddf8f3314b04e0e36d8976ca2036ed2ecc17a
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Aug 7 09:17:32 2012 +0200

    libcmis-c: added Folder

commit 21afc7c13aa45c1925ff53842b911bf525a877b4
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Aug 6 17:31:23 2012 +0200

    libcmis-c: completed Session

commit 73cc1758958595db2e83cd2f0387af316e4dea6a
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Aug 6 17:02:09 2012 +0200

    libcmis-c: added Property

commit 341d258b4dfc9e76c9d06a506d722251b28a7ccf
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Aug 6 13:40:54 2012 +0200

    libcmis-c: added PropertyType

commit a79f77063b0f4a9681a4472852ca35c4a24eb2ed
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Sat Aug 4 11:56:48 2012 +0200

    libcmis-c: added Object, ObjectType and AllowableActions

commit 9dbee4f9612a9a7b9652dd708c56660b8503c998
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Aug 3 16:05:47 2012 +0200

    Started libcmis-c wrapper for use of the library in C programs

commit 37c28b19d579e6d91cbb50ca42a38196d33019c5
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Jul 9 17:39:02 2012 +0200

    removed some warnings

commit 64b395df637a3680bbdb96f39e6c110cbd59316e
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Jul 5 12:19:45 2012 +0200

    SessionFactory::getRepositories, now returns repository objects instead of id

commit c8cc343414da65bbe8a766a02844971071d20d48
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Jul 3 17:01:24 2012 +0200

    Allowable actions: read them directly with the object
    
    The original aim of this patch is to workaround Alfresco's bug where
    allowable actions aren't correct when extracted from the Atom entry
    link. It turns out that this fix is also a nice refactoring allowing to
    share the allowable actions parsing code between Atom and SOAP bindings.
    We are also avoiding one more HTTP request when getting an object!

commit 2f1d9ea75bba37ce43644ad751e4613815ead4d5
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Jul 2 14:45:36 2012 +0200

    Atom: Document::getPaths() could throw exception when getParents() is not allowed

commit 80e2cec16f08b0d5e5c31816e6b18a3c11cbde31
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Jul 2 10:04:49 2012 +0200

    Fixed build errors

commit c7b00511e21c9fba1b3e8ddcae4e54add9578129
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Jun 30 17:18:26 2012 +0200

    coverity: return value is destroyed when it exits scope

commit 4ffef50019695334d253837cbc5355a0100515ad
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Jun 30 17:04:06 2012 +0200

    coverity: protect against self-assignment

commit a689e398280ebf5147591c529742d50051a431a7
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Jun 30 16:51:36 2012 +0200

    coverity: possible null dereference

commit 33f39fff73a3a858057499e4500c55a592bb8534
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Jun 30 16:41:50 2012 +0200

    coverity: operator= should return non-const ref

commit 8df9b5df6ef614ea29a5d2b70114942b5796ebad
Author: David Tardon <dtardon@redhat.com>
Date:   Sat Jun 30 16:37:04 2012 +0200

    set language for configure checks
    
    Otherwise tests for mode_t and size_t fail here, which results in size_t
    and mode_t defines on compiler command line, which breaks the build.

commit d8bfaaedb4238be14e742b2bfcbfab25ca8567c9
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Jun 26 10:20:31 2012 +0200

    WebService: Use PasswordDigest as specified in WS-I Security Profile
    
    See sections 11.1 and 11.3 of WS-I Security Profile 1.0 specification

commit 8f8ce16a86d2f0ef2b0a3c9b3c726ef21c1e8905
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Jun 25 21:28:33 2012 +0200

    WebService: fixed the SoapFault processing
    
    Here are the changes:
     * Don't throw CurlException instead of SoapFault.
     * Added support for fault detail (and cmism:cmisFault detail tag)

commit 07cf8bd021640aa6bb2824019cd0829382de2243
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Jun 21 17:09:53 2012 +0200

    Web Services binding: implemented RepositoryService::getRepositoryInfo()
    
    This also was the occasion to move the repository infos parsing code to
    the libcmis::Repository class: this way it benefits both Atom and
    WebService bindings.

commit ed80072ec4ea7302fd36a8e77696f4ec90c0a9b9
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Jun 21 14:08:34 2012 +0200

    Update NEWS file

commit b936d117b3b2f366db25334b3a053b0173adb767
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Jun 21 14:04:06 2012 +0200

    Wired pieces together to get SOAP request executed and parsed.
    
    Needed changes:
     * all BaseSession::http*Request methods are now returning a
       libcmis::HttpResponsePtr containing both the data and HTTP headers
     * SoapResponses now need the RelatedMultipart object in case there is
       an attachment to read insise.
     * WSSession::getRepositories() is working

commit 5303784a19126fc70a6a75caf5cc4b9ab50ef6da
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Jun 20 18:32:27 2012 +0200

    Started implementing SOAP requests
    
    Started implementing RepositoryService::getRepositories, reading and
    writing SOAP envelopes. As libcurl is not capable to send proper
    multipart/related content, I had to implement parsing and dumping those.
    
    Warning: the whole chain is still not working.

commit 634ce90a5fe337745c5b92dac06ea36ee544ec1e
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Jun 15 18:28:41 2012 +0200

    WebService binding: initial session implementation
    
    WSSession can read the Service URLs from the WSDL file.
    ws-soap.{hc}xx contains the base logic to generate and parse SOAP
    messages while ws-requests.{hc}xx contains the CMIS-specific requests
    and response objects.
    
    ATM no service is implemented.

commit 2e81df09be4ee0f1592fe9705a48b9036f2bc708
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Jun 15 10:44:54 2012 +0200

    Create a libcmis::Repository API to extract repository infos

commit 56ff28be3742e6110936f142d79d6bd5ac8cc81c
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Jun 14 16:48:16 2012 +0200

    Split the AtomPubSession in pieces to share with a future WSSession

commit 1aad1a7092fba2bb3b78d301c40a33de2aec3368
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Jun 14 14:23:03 2012 +0200

    getChildren: support paged results

commit a4d6f4416938e3522dbc366eedc77920d411b479
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Jun 14 14:22:25 2012 +0200

    cmis-client: return 1 on all errors for easier scriptability

commit 05178b8c54fd3a381b0e04457b6430323061548b
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Jun 13 17:42:06 2012 +0200

    Added Document::checkIn()

commit cecf98b5667842c226e9c64105611014551eb8d8
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Jun 11 20:21:45 2012 +0200

    Added Document::cancelCheckout
    
    The Unit test for cancelCheckout needed to update InMemory server to a
    more recent version due to a bug on the server side: update to 0.7.0

commit dd7135c79a80dfc9a71030b5bde68f2931e819fa
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Jun 11 14:21:29 2012 +0200

    checkout: fixed it to work for SharePoint

commit 7bba87b0496b7d480844538b271f1dee76571ed5
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Jun 8 18:49:51 2012 +0200

    Implemented checkout

commit d36a1a935f51916ed4263356bea34cef4a547e2e
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Jun 8 12:44:59 2012 +0200

    setContentStream: SharePoint wants base64 encoded content
    
    In order to satisfy SharePoint and not break the others, first try to
    send raw data, and send base64 encoded data only if we got a 400 error.
    
    SharePoint also sends a 302 with a Location pointing to an error page
    when setting content on a non-checkout document: handled all non 2xx
    statuses as errors.

commit 70c820eb62598e5818f7930e598aa2aa4e4ed733
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Jun 7 11:53:41 2012 +0200

    setContentStream: url-encode request params as changeToken is an obscure string

commit c10d190b208cdecf9729aa482b5ef2e6cf7e7daf
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Jun 7 11:26:41 2012 +0200

    SharePoint: some links have no type, fixed how these are handled

commit 36d1027c77216ab823d4c00dc5b4e3b1bf085b7f
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Jun 6 18:09:06 2012 +0200

    SharePoint repository id is case insensitive
    
    It may not be the best thing to do to always check lowercased strings as
    IDs are obscure strings

commit 321b2dc94b07031b79e0f2932877be1195d02a44
Author: Tomas Chvatal <tchvatal@suse.cz>
Date:   Wed Jun 6 11:08:07 2012 +0200

    Add libs/includes that are required when we try to build against cmis and use pc file.

commit e351df6bb4c05d2cffa4f3a22688f04e9a83f8f4
Author: Tomas Chvatal <tchvatal@suse.cz>
Date:   Wed Jun 6 11:03:29 2012 +0200

    Create the manpage conditionaly, and also install it when needed.
    
    Signed-off-by: Tomas Chvatal <tchvatal@suse.cz>

commit a9e6c907077486b70760e4b26f5e6e98ac107eb9
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Jun 5 17:24:12 2012 +0200

    base64 encoder: fixed signed values encoding
    
    The problem is typical the following. Encoding 0x3F 0xEB 0xEF, the
    values for 0xEB and 0xEF were used as negative values. Casting to
    an unsigned char will give us the proper 0xEB and 0xEF values to be
    used in the base64 encoding algorithm.

commit f385049ffc9a249e79c71def5804d2cd3da92ebd
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Jun 4 20:39:39 2012 +0200

    libcurl version test was wrong...

commit 10c765aec2c09fd5746464d5d8c33f19d18e0035
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Jun 4 18:48:54 2012 +0200

    Fixed soname to fit library version

commit fed9ebdaa185ab31fe074f18cc6556f2ae73eb4a
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Jun 4 18:40:44 2012 +0200

    Changed soname

commit a1e2772541ab039c356b09ccb49b048e980aa5bd
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Jun 4 18:23:55 2012 +0200

    libcurl: use curl_escape and CURLOPT_USERPWD if version is too old

commit 0996ff687d2973b03604153ed2f13debf023bc90
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Jun 4 13:08:17 2012 +0200

    Updated NEWS

commit 08e174bb9692f2fa2db58918f20c632baf4f08bd
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Jun 4 12:17:10 2012 +0200

    Fixed man dist and install once for good

commit 21e23936453273bc5c61b809c08f5cdae99059bc
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Jun 4 11:54:25 2012 +0200

    Wrong file to put in dist tarball: put cmis-client.xml instead of .1

commit 05159396dae51ef7cfc3c66dc98d78599ab9b4c4
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Jun 4 11:59:57 2012 +0200

    configure.ac: updated version to 0.3.0

commit 826b141ec822d5f2f700ae09edf019aeaea37258
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Jun 4 10:18:56 2012 +0200

    Added getPaths() convenience method in API

commit 7e03d66771f1cb4f53dd4a7f35f84b0d59900430
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed May 30 16:31:41 2012 +0200

    Updated README to show the remove and removeTree

commit 5e05142716cbfe363ab4751c5a951295821208e6
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed May 30 16:30:07 2012 +0200

    cmis-client: use removeTree when possible instead of remove

commit a684300a90b6ae2451bfd08a69edd9150c51072f
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed May 30 16:20:54 2012 +0200

    Folder: implemented removeTree
    
    This commit also changed a few URLs in AtomFolder to use the link
    AtomLink API.

commit d5cac575828eacdae066b60b7831589ff9ab7de9
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed May 30 16:20:48 2012 +0200

    Atom links: removed a few more URLs extraction to use the new links feature

commit 8e78ff35ad5179ea9a6e4406ceae73d4c5284354
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed May 30 15:19:02 2012 +0200

    AtomSession: made http request helpers clean their stuffs if there was an exception

commit 6d82a61b3eaef6d35512c1eaaae12132d5a30f03
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed May 30 15:17:45 2012 +0200

    AtomObject: read all links and store them for later use

commit d90b3ca57390bbd2c7901172873f53ff4c34a74a
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue May 29 14:19:10 2012 +0200

    Implemented object::remove()

commit ab71ea5785a0993aa4c796e093874ddcb1057d99
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue May 29 11:39:35 2012 +0200

    Escaped URLs as the IDs may contain characters that won't fit in URLs
    
    Using curl_easy_escape() was requesting a working CURL handle and works
    only a chunks of URLs. Escaping the URL happens in the URL creation to
    ease the work (and avoid parsing URLs). This required to move the CURL
    handle to a session member.
    
    Among the impacts of that change:
     * Removed the duplicated code to get encoded content
     * Had to reset the CURL handle before the next use

commit c2c9fcce71489e8cfa4fce4736b5df155ef202a8
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue May 29 10:50:43 2012 +0200

    Fixed createDocument test

commit b19548fc7330d6d229cec54a24a34a7b72a54cd5
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu May 24 22:03:28 2012 +0200

    Added and implemented Folder::createDocument()

commit 0977eeee3e6d38358e7680885ba93cb7375b3f81
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon May 21 17:02:14 2012 +0200

    make more sense in the API: ask for output stream to set content

commit 52afd052580cefc0286ac3d04ca8dcf4d24513cb
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon May 21 17:01:48 2012 +0200

    Declared a few missing exceptions

commit fc9c2b3da9bddbee6948b2be86780b9da11eee08
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri May 11 23:12:41 2012 +0200

    Silenced unused parameter warning

commit 0313d7141a59ee58722bc417267196540bf9ef8c
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri May 11 22:36:49 2012 +0200

    Added rewind support for Put and Post.
    
    Define a CURLOPT_IOCTLFUNCTION callback to rewind in multipass
    authentication cases (i.e for SharePoint or Alfresco)

commit fccae8881c39e56c96283cd9cfd35ce46c61af5d
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri May 11 21:12:13 2012 +0200

    More robust XML parsing cases: allows getting nodes from Alfresco

commit 2769d2eba3da597d832448c59d6db143ef15d0ea
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri May 11 10:14:53 2012 +0200

    Use a provider class instead of a function pointer to the auth callback

commit f360f5fd679a10053f9d05512f629368d8373378
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu May 10 17:16:57 2012 +0200

    Added a connection callback to allow providing authentication interactively

commit 76f6ae95563b82bc7e4e9e1c737c7e0a1ce213ea
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed May 9 16:04:16 2012 +0200

    Don't use boost and std namespaces at the same time or you may have conflicts

commit e12868c1326a88f39149da632c9139359ef61c7d
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed May 9 16:03:26 2012 +0200

    Added missing header files... to fix make dist

commit c3afde2d1129f203d6b07d4c3560f39f03abc540
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed May 9 12:21:20 2012 +0200

    Updated LibreOffice dmake script

commit a53e29686b8d44ea67ad2b994b8f6b09cda32d23
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Feb 22 18:48:33 2012 +0100

    cmis-client: added update-object command to allow updating object properties

commit f5bc867f2430acdd21515f72887944fe7281739e
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Feb 22 16:36:28 2012 +0100

    Implemented a Base64 encoder to be used for the document creation requests

commit 40c71f5194354d4644a2ae84b8a094dcd4c098f2
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Tue Feb 21 17:39:12 2012 +0100

    Folder::createFolder( ) implemented

commit fae5e2b10ce8083e1c71e016cf623b2498a8045b
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Feb 20 14:35:25 2012 +0100

    Updated NEWS file for properties update

commit e99ad62bf767fc730b17f3501bd71c1df2d09dae
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Feb 20 13:58:32 2012 +0100

    AtomObject::getTypeDescription( ) now caching the result to avoid too frequent requests

commit c2917dd80d200b1de07b725045457a4211136f93
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Feb 20 13:54:58 2012 +0100

    AtomObject::updateProperties() implementation complete

commit 197915b37c33aef8f877c4b5583ff1bceb89863a
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Feb 17 18:45:37 2012 +0100

    ObjectType: forgot 2 properties to read

commit 424956dff0f9bc6e548b99f8a0f871f5072f0ece
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Feb 17 17:40:44 2012 +0100

    Added libcmis::PropertyType to extract more data from the properties

commit 3a0649ad390b7feabd95479a1f6846458b458207
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Feb 17 10:40:44 2012 +0100

    cmis-client: added type-by-id command to fetch types

commit 4570916c37cc7137ddc4c71ae2b57b19e176d737
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Feb 16 19:09:27 2012 +0100

    code cleanup

commit a61932147d2b641775a8593ee6afc2f54c4fdda4
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Feb 16 19:01:11 2012 +0100

    libcmis::ObjectType first implementation

commit e4985599ea6bbe8651691c5fac96d2446114d79c
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Feb 16 13:33:00 2012 +0100

    Object::updateProperties( ): first implementation - missing readwrite properties filtering

commit 778ad539456f965c4ebc4278ae44405f34c5fcd5
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Feb 15 16:56:52 2012 +0100

    Implement object to XML serialization

commit 0d7586ce384d75150200dce89c22e5633a2f4952
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Feb 6 14:17:45 2012 +0100

    libcmis::Property::toXml() implemented

commit e4aecc2e44f106460e7371dd22af9b2f15318182
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Mon Feb 6 00:20:46 2012 +0100

    Refactored object properties to catch'em all

commit 66287244a7dded08e12e1eb9c6a73a48249a0d0e
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Fri Feb 3 15:58:10 2012 +0100

    Implemented Document::getParents()

commit 53d9cda7f482b97f4233372185fa8be544a7d47a
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Feb 2 20:43:10 2012 +0100

    Updated man page to include set-content command

commit a0115995fa2b5979d8ba6b7e0b2d230565ff812a
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Thu Feb 2 18:03:48 2012 +0100

    setContentStream fixes: send changeToken and mime type in the query

commit 2386e2d5325c55d05abd770d9bf00f04b1060d11
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Thu Feb 2 18:02:53 2012 +0100

    cmis-client: added set-content command

commit b50786d6a94b8ac72ceb66dc63a81453189812a5
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Feb 1 12:15:59 2012 +0100

    removed unreliable test

commit 6b123d6885a729b500b7d3291e8bf72ff5d72433
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Wed Feb 1 11:30:45 2012 +0100

    Added Folder::isRootFolder()

commit 410792a504c0e10daff0ad7e888baaf8eaf22b42
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Wed Feb 1 11:21:15 2012 +0100

    Added Folder::getFolderParent()

commit 15c442b449230a8d66e2d4f823da76baa9191120
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Tue Jan 31 18:16:09 2012 +0100

    Added a few AllowedActions checks before doing things

commit 6c6b6dcb13df5e5950ad81077dc7885aebdb9070
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Tue Jan 31 18:09:33 2012 +0100

    AtomPub: Fixed AllowableActions reading

commit 371d6aa0990bb434c6a36344b659ba0644ee9dcb
Author: David Tardon <dtardon@redhat.com>
Date:   Fri Jan 27 17:37:03 2012 +0100

    update COPYING.LGPL to v. 2.1

commit bfd463f3ef3b2e372a110b1b3cbe83213abe1c27
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Fri Jan 27 17:17:05 2012 +0100

    Added cmis-client man page

commit 77c4049861553f1e2b70293a2da1f26a219d8039
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Fri Jan 27 11:19:12 2012 +0100

    Updated NEWS file

commit 7b604c01a9df770e1224cbab13215de533b07391
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Jan 19 17:43:14 2012 +0100

    Read the allowable actions document to help know what is permitted before doing it

commit d90c5a6c2ee6c874c4e77b8e578deea7733ff57b
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Jan 19 10:41:33 2012 +0100

    Implemented fetching nodes by path

commit 85ecb0f3c77e1590014ce0cccfd613865018d0e0
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Wed Nov 16 11:03:19 2011 +0100

    Implemented AtomDocument::setContentStream method

commit 0e96644152ed1f275827f68d968c4a4faf80e0b2
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Tue Nov 15 12:55:55 2011 +0100

    Same code for run an HTTP request everywhere

commit 729b16fe03d91bd8373113a41a14ed07dd36280b
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Tue Nov 15 12:18:44 2011 +0100

    Moved httpGetRequest to AtomPubSession

commit 471099b8f81d50c1534f940af895d91043fa3b9b
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Tue Nov 15 11:45:28 2011 +0100

    AtomPubSession::getRepositoriesIds to reuse service document handling
    
    The AtomPubSession constructor is fetching and parsing the service
    document: let's reuse that code for getting the repositories as well.

commit 7b0175accf158a39c2563faa03cd3604eb64af87
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Mon Nov 14 10:06:48 2011 +0100

    added API for setContentStream, implementation still missing
    
    Reworked the ServiceDocument parsing to ease the move of the
    httpGetRequest inside the AtomPubSession class.

commit de493152741862d7e519abd7d013dc4d709164fa
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Fri Nov 4 11:26:38 2011 +0100

    Added Document::getContentStream and deprecated Document::getContent
    
    This new method uses the C++ I/O libraries and avoids storing the
    content as a temporary file. This locks the security to access the
    document data a bit more.
    
    The old Document::getContent method is kept only for compatibility with
    LibreOffice libcmis usage and will be removed when that code will be
    updated.
    
    Exceptions cleanup: provide better messages in the libcmis::Exception.

commit e98747ecc977a996c1a3de55734a189d9092c01c
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Thu Nov 3 22:10:46 2011 +0100

    Document: add a C++ stream getter for the content to avoid temp files

commit 2aa545f4200dcb9b835779017a7c01b0b356af5b
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Oct 27 18:14:00 2011 +0200

    added verbose option to ease debugging

commit 29da344391cb93cc6f5ddfc1a51a44eab3a34032
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Oct 27 17:21:50 2011 +0200

    Added libcmis::Exception with message for better user feedback
    
    The error message reports libcurl error messages. Libcurl is also now
    failing when an HTTP error more than 400 is reported (though it doesn't
    affect authentication).

commit e56107d1bf06a65d7765a61f822d8d2275a560d0
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Wed Oct 26 15:50:13 2011 +0200

    cmis-client: print help for unknown command

commit edc2fc6415ef025829fcbd1e77239990811f92c0
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Sat Oct 22 07:30:16 2011 -0700

    Added more unit tests for getFolder() and getObject()

commit 284eeb6453963c80be1cbe8ef26cbe9bf7c8a6e9
Author: Cédric Bosdonnat <cbosdo@users.sourceforge.net>
Date:   Thu Oct 20 14:40:21 2011 +0200

    Actually filled the NEWS file

commit 36c70303eacc45b90e6e4941859df130cecd75b0
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Wed Oct 19 17:25:48 2011 +0200

    test-decoder.cxx: mention the source of the Base64 test values.

commit 68f218f3866a05db77b3e7c27b19169c36c6e13f
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Wed Oct 19 17:22:10 2011 +0200

    Content extraction: decode base64 encoded transmitted files
    
    This feature is needed for SharePoint implementation of CMIS.

commit 2aa6e964fdee4b5c6d14418ae59015a3708b62ec
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Tue Oct 18 17:34:22 2011 +0200

    Added authentication support, delegates the method choice to libcurl

commit 9e393ab0201086819998b0343389a28aabc3fa62
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Fri Oct 14 01:28:41 2011 +0200

    cmis-client: added show-root command

commit 5872b14537e7ff2ae675c16a05757a90a05cb9f6
Author: Fridrich Štrba <fridrich.strba@bluewin.ch>
Date:   Sat Oct 8 15:42:55 2011 +0200

    Define CmisObject and CmisObjectPtr for temporary backward compatibility

commit e7283f6750e3e1a36fbfde842f21594b5b8dc7cd
Author: Fridrich Štrba <fridrich.strba@bluewin.ch>
Date:   Sat Oct 8 15:28:56 2011 +0200

    Some fixage of pkg-config stuff and includes

commit 6a939b9e33ff5d5ef470aba62b5e6dc93f86bd84
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Thu Oct 6 15:19:59 2011 +0200

    Fixed version scheme

commit de3b3ab93948c5623565175a7552855d5a59deb1
Author: Fridrich Štrba <fridrich.strba@bluewin.ch>
Date:   Thu Oct 6 13:39:28 2011 +0200

    Trying to make -Weffc++ build link

commit c9c7cccd592499bb8d95184a5ad14b19a6d0935a
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Thu Oct 6 13:13:01 2011 +0200

    libcmis::Object: added the possibility to refresh the data in the API

commit 822840832921b03f12511d747b39cea34aca023a
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Thu Oct 6 12:31:29 2011 +0200

    Fixed the warnings when building with -Weffc++

commit 0c1794a03e90cb3c6bb6d861112089cea1fa68e2
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Wed Oct 5 16:15:56 2011 +0200

    -with-libxml2 is now useless

commit adf6d2ca7fd3e771590ff22e24275e33f5bef481
Author: Fridrich Štrba <fridrich.strba@bluewin.ch>
Date:   Wed Oct 5 16:10:49 2011 +0200

    reverted libcurl checking to pkg-config

commit 27ae1df24734577fb56e0524ca585b47d09f098e
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Wed Oct 5 15:36:17 2011 +0200

    Revert libxml check to pkg_config for windows cross-building

commit 84d368a23315f81193bec057704adfbefba79b9c
Author: Fridrich Štrba <fridrich.strba@bluewin.ch>
Date:   Wed Oct 5 15:20:39 2011 +0200

    dmake file for building libcmis in LibreOffice

commit 8d809f7f53e152f0b0af714717f7b717a913cba9
Author: Jan Holesovsky <kendy@suse.cz>
Date:   Wed Oct 5 11:41:20 2011 +0200

    Introduce --with-libxml2, to be able to set the right prefix.

commit 47286032a5d29d9e865d4ca2fee986d1825587c4
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Wed Oct 5 11:20:47 2011 +0200

    Object: get all the mandatory properties

commit 199133863e2b116f8cb0f8ccc4479252436ee049
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Tue Oct 4 15:44:19 2011 +0200

    Renamed the stupid CmisObject to Object: no confusion possible with namespaces

commit f071d7b720fa9c24ac6cdd4b22e365c847fba374
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Tue Oct 4 12:21:48 2011 +0200

    Fixed the LGPL licence file

commit d4285bd08ed308a96016fc9a7716424d1062d486
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:   Tue Oct 4 10:47:03 2011 +0200

    m4: Use x in order to avoid variable 'x' set but not used [-Werror=unused-but-set-variable]
    
    This error could be caused by configure scripts being run with
    -Werror -Wall, which would lead to libcurl being detected as unusable.

commit be66250ad9c2b10a74364aad18927d6b213aa1cf
Author: Miklos Vajna <vmiklos@frugalware.org>
Date:   Mon Oct 3 19:00:05 2011 +0200

    Spelling fixes

commit 7cd26ce3e85374aa9db812760edea78ff97a0ff9
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Mon Oct 3 16:52:12 2011 +0200

    Removed dead code

commit 904b4fd3a97f3ec0b8247cbab50cfdd9179c7893
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Mon Oct 3 15:28:03 2011 +0200

    Added a configure --disable-tests switch to skip tests build

commit 803cbdb6b3c7105f28bdf3d72ca87c27f4e4c564
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Mon Oct 3 15:27:45 2011 +0200

    Added missing files to the dist tarball

commit f8352b06958e1f10eff95bcc589b70c581c987e8
Author: Tomáš Chvátal <tchvatal@suse.cz>
Date:   Mon Oct 3 14:54:41 2011 +0200

    Add werror and some gcc flags from libvisio. Whitespace, tabify everywhere.

commit cf18961932ba1e62ced469ca844a606dd6abbc14
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Mon Oct 3 12:09:57 2011 +0200

    Make use of BOOST_CPPFLAGS

commit 91fcb919b8f8acc1f1142c4506624c5916a2be38
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Mon Oct 3 10:55:20 2011 +0200

    configure: don't check for program_options if client is disabled

commit e2d7637080eed924e57ce7b1cfba568a00ec0cf8
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Mon Oct 3 09:59:28 2011 +0200

    configure: use xml2-config instead of pkg-config

commit c95aaa42ba9370995b0787f9388a0805e4c272d5
Author: Rene Engelhard <rene@debian.org>
Date:   Mon Oct 3 09:34:06 2011 +0200

    add DEP_CFLAGS, so that those get picked up

commit d2cdb314e2613dd6ff166735ace1dcec46922f25
Author: Rene Engelhard <rene@debian.org>
Date:   Mon Oct 3 09:30:04 2011 +0200

    fix libcmis.pc
    
    There's no liblibcmis and the Cflags don't match the installed headers

commit cedbf4bedc9f51bdb757a14af0b209ce41dcd4ed
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Sun Oct 2 15:55:32 2011 +0200

    Iproved configure to build on Macos and inside LibreOffice
    
     + Use libcurl.m4 instead of pkg-config as that one isn't available on
       MacOS X.
     + Add --disable-client and enable the building cmis-client only if
       Boost program_options can be found. That library isn't provided by
       LibreOffice insternal boost.
     + Add some summary message at the end of the configure to show what
       will happen.

commit 78e0cf1172d30a2a9777558935fb8104980bcea9
Author: Caolán McNamara <caolanm@redhat.com>
Date:   Sun Oct 2 14:31:34 2011 +0200

    Properly add the includes

commit 79f208773c0f7b90a3ceaa8d9a290d40f0782216
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Sat Oct 1 15:06:58 2011 +0200

    Changed the API for the Document::getContent() to return a FILE*

commit e4f073cce1c9f7d16816fb17a029d1f6f984d172
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Fri Sep 30 21:01:46 2011 +0200

    Types names refactoring: introduced namespace libcmis
    
     + Renamed Content to Document in order to match the CMIS
    specifications terminology.
     + Added a libcmis namespace to avoid name clashes

commit 05093f7e0dab17a7cabd7c509023efd7eb12850e
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Fri Sep 30 15:38:07 2011 +0200

    cmis-client: enhanced the help message and options

commit 72876a7004b528f81c313d540161f8d168e82fd5
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Fri Sep 30 12:11:20 2011 +0200

    cmis-client: added a get-content command to download the content data

commit 0366d8a2515c5bc112790e8290575524369566a5
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Fri Sep 30 11:21:55 2011 +0200

    cmis-client: added a show-by-id command to dump nodes infos
    
    Libcmis API additions:
     + CmisObject::toString method to dump the objects
     + Content::getContentFilename() to get the filename of the data stream

commit 58a2e1e34e544792db739f9c0f142b8ae9761f0f
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Wed Sep 28 16:20:52 2011 +0200

    Removed the old bloated test-atom and started some more useful CLI client
    
    cmis-client is intended to be a command line client showing what the
    library can do and hopefuly being useful in some basic CMIS tests.

commit c5eaa0006db26735aac94261072f3a76c32c3496
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Wed Sep 28 15:10:22 2011 +0200

    Implemented unit tests using cppunit.

commit 42ac4af71b4d4de74b19caf980403780a9a9362d
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Wed Sep 28 10:23:05 2011 +0200

    Code cleanup: removed the atom-* headers from the public headers
    
    Among the other improvements: moved the test-server directory to the top
    folder of the libcmis sources: this helps to use that server for the
    tests of any subdirectory.

commit 661951950bea8d767b3188e1be4d28326fb93932
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Wed Sep 28 08:53:14 2011 +0200

    Fixed tests and cmis:name property XPath query

commit 0b99f7d6cae059d6b1380b2fc45a153a9cdb4b51
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Tue Sep 27 18:46:58 2011 +0200

    User propertyDefinitionId instead of queryName to get properties

commit c55f154bf7c5b80a18f2448ab74e3769f5aee50b
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Tue Sep 27 18:45:33 2011 +0200

    Content class: provide the value of cmis:contentStreamLength

commit 69ab41fc3714b7f17d53e59637978fa85d153080
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Tue Sep 27 17:05:01 2011 +0200

    Properly set the license of the library

commit 521335d638e9872cd9889dd830395ac1dca1d552
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Tue Sep 27 16:46:09 2011 +0200

    Memory leaks fixes
    
    Added a missing xmlFree( ) and use boost::shared_ptr for getRootFolder()
    to avoid leaking the resulting folder.

commit ef4afcc25fd5666c7d5bf1b33b5bc94a578b1fef
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Tue Sep 27 16:37:54 2011 +0200

    Added the AtomContent class and moved the path to the Folder
    
    In CMIS, only the folder objects have a path.

commit 315bc3f83870e6731b5d8329937847b22754758f
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Tue Sep 27 15:17:51 2011 +0200

    AtomFolder::getChildren - Getting the folders now properly

commit c190930ecfc6b2d7c2afb1ba7861dd95656d3e45
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Tue Sep 27 11:13:40 2011 +0200

    AtomFolder::getChildren, basic implementation
    
    This has the following limits:
     + The AtomContent type isn't defined, so only folder children are
       returned ATM.
     + The children xml file may be too long. The atom::http_request
       function needs to use a buffer in order to get the whole content
       before parsing it.

commit 0c772587b06d4d230073643f64593d0d231961b6
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Mon Sep 26 15:27:37 2011 +0200

    Resources: setup the Atom resources classes

commit 87dac1fe48c38d8cb554b5cf2d39fbd80a7ad726
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Mon Sep 26 10:56:49 2011 +0200

    AtomSession: get the UriTemplates and root Id

commit 18ef944861756924ef7a9585f35c577dc65590ef
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Mon Sep 26 09:33:55 2011 +0200

    Session improvements, added a factory and support of multiple repos

commit a9664cd909ff0542cb55e3a4532faa9809d8c175
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Sat Sep 24 13:27:08 2011 +0200

    Created a Session base class and started defining the resource classes

commit b0a555b8f8b2f7d713608f64fd1a72ba25d6801f
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Thu Sep 22 12:25:31 2011 +0200

    Automated tests using an Apache Chemistry InMemory server

commit f73aa0f20d17efcb046d9844baa03ec92e4bb2ec
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Wed Sep 21 21:58:26 2011 +0200

    Service Document parsing: fixed the collections reading and tested it

commit a7a60527c743a39ee6c78facd2d8a80cf23bde82
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Wed Sep 21 12:09:47 2011 +0200

    Finished reading the collections from the Service Document

commit dc4b2c84d1f475d771ea3c51cc401db7bb24f1a4
Author: Cédric Bosdonnat <cedric.bosdonnat.ooo@free.fr>
Date:   Mon Sep 19 21:04:05 2011 +0200

    Created AtomPub session class and libtoolized the project
